#!/bin/bash


DIR_IN=$1
DELETE=$2

if [ "$DIR_IN" == '' ]; then
	echo "This removes common leftover files like Makefiles, theme files, thumb dbs."
	echo " ie *.am *.in *.icon *.theme out Thumbs.db"
	echo
	echo "Usage: clean_dirs.sh [DIRECTORY] -d"
	echo "	ARGS must be directory first"
	echo 
	echo "clean_dirs.sh [DIRECTORY]" 
	echo "	displays leftover files"
	echo "clean_dirs.sh [DIRECTORY] -d" 
	echo "	displays and deletes leftover files"
	echo
	exit 1
fi

if [ ! -d "$DIR_IN" ]; then
	echo "Error: $DIR_IN is NOT a directory,"
	echo "First ARG should be a directory!"
	echo
	exit 1
fi

if [ "$DELETE" != '-d' -a "$DELETE" != '' ]; then
	echo "Error: Second ARG should be blank or \'-d\'"
	echo "You entered $DELETE"
	echo
	exit 1
fi

echo "Finding files..."
find $DIR_IN -name *.am
find $DIR_IN -name *.in
find $DIR_IN -name *.icon
find $DIR_IN -name *.theme
find $DIR_IN -name out
find $DIR_IN -name Thumbs.db
find $DIR_IN -name .DS_Store
find $DIR_IN -name *.*~
find $DIR_IN -name .dolphinview

if [ "$DELETE" == '-d' ];then
	echo "Deleting files..."
	rm -f `find $DIR_IN -name *.am`
	rm -f `find $DIR_IN -name *.in`
	rm -f `find $DIR_IN -name *.icon`
	rm -f `find $DIR_IN -name *.theme`
	rm -f `find $DIR_IN -name out`
	rm -f `find $DIR_IN -name Thumbs.db`
	rm -f `find $DIR_IN -name .DS_Store`
	rm -f `find $DIR_IN -name *.*~`
	rm -f `find $DIR_IN -name .dolphinview`
fi

echo "Done"

exit
