#!/usr/bin/perl 
#

###########################################################
# Add Source and licence info into PNG, XPM, and SVG files
#
#
# Usage: 
# 	count_icons.pl [DIRECTORY]
#

$dir_name = $ARGV[0];


use File::Find;
# use Cwd;
# use SVG::Metadata; 
# use XML::Twig;     # Needed if SVG::Metadata fails, to get XML twig to attach new RDF to.


sub create_list {
	my $file = $_;
	my $full_name = $File::Find::name;
	if( $file =~ /\.(svg|png|xpm|ico|icns)$/ ){
		# $file =~ s/\.(svg|png|xpm|svgz)$//;
		if( $file =~ /\.(svg)$/ ){
			$file =~ s/\.(svg|png|xpm|ico|icns)$//;
			$file_list_svg[$x_svg] = $file;
			$x_svg++;
		} elsif( $file =~ /\.xpm$/ ){
			$file =~ s/\.(svg|png|xpm|ico|icns)$//;
			$file_list_xpm[$x_xpm] = $file;
			$x_xpm++;
		} elsif( $file =~ /\.png$/ ){
			$file =~ s/\.(svg|png|xpm|ico|icns)$//;
			$file_list_png[$x_png] = $file;
			$x_png++;
		} elsif( $file =~ /\.ico$/ ){
			$file =~ s/\.(svg|png|xpm|ico|icns)$//;
			$file_list_ico[$x_ico] = $file;
			$x_ico++;
		} elsif( $file =~ /\.icns$/ ){
			$file =~ s/\.(svg|png|xpm|ico|icns)$//;
			$file_list_icns[$x_icns] = $file;
			$x_icns++;
		} 


		if( $full_name=~ /\/apps\// ){
			$file =~ s/\.(svg|png|xpm|ico|icns)$//;
			$file =~ s/-[1-9]$//;
			$file =~ s/-[1-9][0-9]$//;
			$file_list_apps[$x_apps] = $file;
			$x_apps++;
			if( $file =~ /^distribution/ ){
				$file_list_os[$x_os] = $file;
				$x_os++;
			}
		} elsif( $full_name=~ /\/devices\// ){
			$file =~ s/\.(svg|png|xpm|ico|icns)$//;
			$file =~ s/-[1-9]$//;
			$file =~ s/-[1-9][0-9]$//;
			$file_list_devices[$x_devices] = $file;
			$x_devices++;
		} elsif( $full_name=~ /\/mimetypes\// ){
			$file =~ s/\.(svg|png|xpm|ico|icns)$//;
			$file =~ s/-[1-9]$//;
			$file =~ s/-[1-9][0-9]$//;
			$file_list_mimetypes[$x_mimetypes] = $file;
			$x_mimetypes++;
		}

		$file_list[$count] = $file;
		$count++;
		if( $count =~ /00$/ ) {	print "."; }
	}
}



# Check input
if( $dir_name eq '' ){
	print "Input ARG: DIRECTORY\n";
	exit;
}


#################################################################
# Main Code
#
#

$count = 0; # global
$x_png = 0; # global
$x_xpm = 0; # global
$x_svg = 0; # global
$x_ico = 0; # global
$x_icns = 0; # global

@file_list = (); # global
@file_list_svg = (); # global
@file_list_png = (); # global
@file_list_xpm = (); # global
@file_list_ico = (); # global
@file_list_icns = (); # global

$x_apps = 0; # global
$x_devices = 0; # global
$x_mimetypes = 0; # global
$x_flags = 0; # global
$x_pictograms = 0; # global
$x_os = 0; # global
@file_list_apps = (); # global
@file_list_devices = (); # global
@file_list_mimetypes = (); # global
@file_list_flags = (); # global
@file_list_pictograms = (); # global
@file_list_os = (); # global


# $current_dir = cwd();
print "Searching for xpm, png, svg files in $dir_name\n";
print "Starting Count.";
find(\&create_list, $dir_name);
print "\nSorting and creating a unique list.\n\n";
@file_sorted = sort(@file_list);
@file_unique = grep($_ ne $prev && (($prev) = $_), @file_sorted);
@file_sorted_svg = sort(@file_list_svg);
@file_unique_svg = grep($_ ne $prev && (($prev) = $_), @file_sorted_svg);
@file_sorted_png = sort(@file_list_png);
@file_unique_png = grep($_ ne $prev && (($prev) = $_), @file_sorted_png);
@file_sorted_xpm = sort(@file_list_xpm);
@file_unique_xpm = grep($_ ne $prev && (($prev) = $_), @file_sorted_xpm);
@file_sorted_ico = sort(@file_list_ico);
@file_unique_ico = grep($_ ne $prev && (($prev) = $_), @file_sorted_ico);
@file_sorted_icns = sort(@file_list_icns);
@file_unique_icns = grep($_ ne $prev && (($prev) = $_), @file_sorted_icns);

@file_sorted_apps = sort(@file_list_apps);
@file_unique_apps = grep($_ ne $prev && (($prev) = $_), @file_sorted_apps);
@file_sorted_devices = sort(@file_list_devices);
@file_unique_devices = grep($_ ne $prev && (($prev) = $_), @file_sorted_devices);
@file_sorted_mimetypes = sort(@file_list_mimetypes);
@file_unique_mimetypes = grep($_ ne $prev && (($prev) = $_), @file_sorted_mimetypes);
@file_sorted_os = sort(@file_list_os);
@file_unique_os = grep($_ ne $prev && (($prev) = $_), @file_sorted_os);

print "Total  images: 	$#file_list	Total Unique: 	$#file_unique\n";
print "SVG:	Total:	$#file_list_svg	Unique:		$#file_unique_svg\n";
print "PNG:	Total:	$#file_list_png	Unique:		$#file_unique_png\n";
print "XPM:	Total:	$#file_list_xpm	Unique:		$#file_unique_xpm\n";
print "ICO:	Total:	$#file_list_ico	Unique:		$#file_unique_\n";
print "ICNS:Total:	$#file_list_icns	Unique:		$#file_unique_icns\n";
print "------------------------------------------------------------------\n";
print "Apps:		Unique:		$#file_unique_apps\n";
print "Devices:	Unique:		$#file_unique_devices\n";
print "Mimetypes:	Unique:		$#file_unique_mimetypes\n";
print "OS:		Unique:		$#file_unique_os\n";


print "\n";
