#!/usr/bin/perl

###########################
# Finds duplicutes images files
# 	supports svg, xpm, png,
#
# Description:
#  
# Requirements:
#
# Usage: ./validate_image.pl [DIRECTORY]
#


###########################
# Configure
#




###########################
# Code
$dir_name = $ARGV[0];

use File::Find;
use Cwd;


sub create_lists {
    my $file_name=$_;
	my $full_name = $File::Find::name;
	
	if ( $full_name !~ /^\// ) {
		$full_name = $current_dir . "/" . $full_name;
	}

	if ( !( -d $full_name) ) {
		if ( $file_name =~ /\.png$/i ) {
			$png_files[$png_cnt][0] = $file_name; #short name
			$png_files[$png_cnt][1] = $full_name; #short name
			$png_files[$png_cnt][1] =~ s/^.*\/icons\/[a-zA-Z0-9]*\/...\///;
			$png_files[$png_cnt][2] = $full_name; #full name
			$png_files[$png_cnt][3] = -s $file_name; #file size
			# print "PNG $png_cnt: $file_name\n  $png_file[1][$png_cnt]\n  $full_name\n  $png_file[3][$png_cnt]\n";
			$png_cnt++;
			# print ".";
		} elsif ( $file_name =~ /\.xpm$/i ) {
			$xpm_files[$xpm_cnt][0] = $file_name; #short name
			$xpm_files[$xpm_cnt][1] = $full_name; #short name
			$xpm_files[$xpm_cnt][1] =~ s/^.*\/icons\/[a-zA-Z0-9]*\/...\///;
			$xpm_files[$xpm_cnt][2] = $full_name; #full name
			$xpm_files[$xpm_cnt][3] = -s $file_name; #file size
			$xpm_cnt++;
		} elsif ( $file_name =~ /\.svg$/i ) {
			$svg_files[$svg_cnt][0] = $file_name; #short name
			$svg_files[$svg_cnt][1] = $full_name; #short name
			$svg_files[$svg_cnt][1] =~ s/^.*\/icons\/[a-zA-Z0-9]*\/...\///;
			$svg_files[$svg_cnt][2] = $full_name; #full name
			$svg_files[$svg_cnt][3] = -s $file_name; #file size
			$svg_cnt++;
		} else {
			#ignore
		}
	}
}



# Check input
if( $dir_name eq '' ){
	print "Usage: display_metadata.pl [DIRECTORY]\n";
	exit;
} elsif( !( -d $dir_name ) ){
	print "The input ARG is suposta be a directory\n$dir_name\n";
	exit
}


#################################################################
# Main Code
#
#

@png_files = (); 
# form $png_files[index][count]; 
# index 0 = [short name]
# index 1 = [sort name]
# index 2 = [long name]
# index 3 = [file size]
@svg_files = ();
@xpm_files = ();
$png_cnt = 0;
$svg_cnt = 0;
$xpm_cnt = 0;
$current_dir = cwd();
print "Searching for xpm, png, svg, and svgz files in $dir_name\n";
find(\&create_lists, $dir_name);
$png_max = $png_cnt;
$svg_max = $svg_cnt;
$xpm_max = $xpm_cnt;

# print "$png_max $#png_files $#{$png_files[0]} \n";

@png_files2 = sort { $a->[1] cmp $b->[1] } @png_files ;
@svg_files2 = sort { $a->[1] cmp $b->[1] } @svg_files ;
@xpm_files2 = sort { $a->[1] cmp $b->[1] } @xpm_files ;

# @png_files2 = bbl_sort();
$set =0;
$inc = 3;
for($png_cnt=1;$png_cnt<$png_max;$png_cnt++){
	if( $png_files2[$png_cnt][1] eq $png_files2[$png_cnt-1][1] ){
		if( $png_files2[$png_cnt][3] == $png_files2[$png_cnt-1][3] ){
			#Same file size and name, remove
			if( not $set ) {
				print "Same:\n";
				print "display $png_files2[$png_cnt-1][2] &\t\n";
				print "display $png_files2[$png_cnt][2] &\n";
				$set = 1;
			}else{
				print "$png_files2[$png_cnt][2]\t\n";
			}			
		}else{
			#same file name by different size, rename one of them
			if( not $set ) {
				print "Different:\n";
				print "$png_files2[$png_cnt-1][2]\t\n";
				$temp = $png_files2[$png_cnt][2];
				$temp2=$temp;
				$temp2 =~ s/.*-//;
				$temp2 =~ s/\.png$//;
				# print "\n\n-$temp2-\n\n";
				if( $temp2 =~ /^[1-9]$/ ){
					$inc = $temp2 + 1;
					# print "Increment $inc\n";
				}else{
					$inc = 2;
					# print "NoIncrement $inc\n";
				}

				$temp =~ s/-[1-9]\.png/\.png/;

				$temp =~ s/\.png/-$inc\.png/;
				print "mv $png_files2[$png_cnt][2] \t$temp\n";
				system("mv $png_files2[$png_cnt][2] $temp");
				$set = 1;
			}else{
				$inc++;
				$temp = $png_files2[$png_cnt][2];
				$temp =~ s/-[1-9]\.png/\.png/;
				$temp =~ s/\.png/-$inc\.png/;	
				print "mv $png_files2[$png_cnt][2] \ \n\t$temp\n";
				system("mv $png_files2[$png_cnt][2] $temp");
			}	
		}	
	}else{
		$set=0;
		$inc=2;
	}
}



# for($png_cnt=0;$png_cnt<=$png_max;$png_cnt++){
	# print "$png_files[$png_cnt][1]\n";
# }
#
print "\n\n";
print "You will probably have to run this multiply times.";
print "\n";
