#!/usr/bin/perl


sub process_dir {
	my $dir=$_[0];
	my $license=$_[1];
	my $source=$_[2];
	my $source_url=$_[3];

	my $files_list = `ls --color=none -R open_icon_library-devel/icons/$dir|egrep ".(png|svg|ico|icns|xpm)\$"|sort|uniq`;
	# print $files_list;
	my @files = split(/\n/, $files_list);

	my $output = '';
	foreach $file (@files){
		$output .= "$file \"$dir\"\n";
	}
	return $output;
}




$list = '';

$list .= process_dir("aem"); # , "http://en.wikipedia.org/wiki/Public_domain", "AEM Pictorial Database", "http://www.aem.org/Technical/PictorialDatabase/Report.asp");

$list .=process_dir("crystal"); # , "http://creativecommons.org/licenses/LGPL/2.1/", "Crystal Project", "http://everaldo.com/crystal/");

$list .= process_dir("crystal_clear"); # , "http://creativecommons.org/licenses/LGPL/2.1/", "Crystal Clear Project", "http://commons.wikimedia.org/wiki/Crystal_Clear");

$list .= process_dir("din"); # , "http://en.wikipedia.org/wiki/Public_domain", "Technische Regeln fr Arbeitssttten (DIN Standard)", "http://www.baua.de/nn_56926/de/Themen-von-A-Z/Arbeitsstaetten/ASR/pdf/ASR-A1-3.pdf");
# $list .= process_dir("din", "", "", "");

$list .= process_dir("intrigue"); # ,  "http://creativecommons.org/licenses/GPL/2.0/", "Intrigue Icon Set", "http://simpleinnovation.net/index.php?page=22&source=2&id=2");

$list .= process_dir("cc"); # , "http://creativecommons.org/licenses/by/3.0/", "Creative Commons", "http://creativecommons.org/about/downloads");

# $list .= process_dir("ghs", "http://en.wikipedia.org/wiki/Public_domain", "UNECE GHS of Classification and Labeling of Chemicals", "http://www.unece.org/trans/danger/publi/ghs/pictograms.html");

$list .= process_dir("tango"); # , "http://en.wikipedia.org/wiki/Public_domain", "Tango Icon Library", "http://tango.freedesktop.org/Tango_Icon_Library");

$list .= process_dir("tango-harm"); # , "http://creativecommons.org/licenses/by/3.0/", "Tango harm-on-icons", "http://gnome-look.org/content/show.php/Tango+mine?content=76316");

$list .= process_dir("gnome"); # , "http://creativecommons.org/licenses/GPL/2.0/", "GNOME Icon Theme", "http://art.gnome.org/");

$list .= process_dir("gnome-colors"); # , "http://creativecommons.org/licenses/GPL/2.0/", "GNOME-Colors", "http://code.google.com/p/gnome-colors/");

$list .= process_dir("nuvola"); # , "http://creativecommons.org/licenses/LGPL/2.1/", "Nuvola", "http://www.icon-king.com/projects/nuvola/");

$list .= process_dir("nps"); # , "http://en.wikipedia.org/wiki/Public_domain", "National Parks Service", "http://www.nps.gov/hfc/carto/map-symbols.htm");

$list .= process_dir("oxygen"); # , "Dual: http://creativecommons.org/licenses/by-sa/3.0/ or http://creativecommons.org/licenses/LGPL/2.1/", "Oxygen Icons", "http://www.oxygen-icons.org/");

$list .= process_dir("famfamfam-flags"); # , "http://en.wikipedia.org/wiki/Public_domain", "FAMFAMFAM Flag Icons", "http://www.famfamfam.com/lab/icons/flags/");

$list .= process_dir("famfamfam-silk"); # , "Dual: http://creativecommons.org/licenses/by/3.0/ or http://creativecommons.org/licenses/by/2.5/", "FAMFAMFAM Silk Icons", "http://www.famfamfam.com/lab/icons/silk/");

$list .= process_dir("warthan"); # , "http://creativecommons.org/licenses/GPL/2.0/", "Warthan's Stuff: Sovereign State Flags of the World", "http://warthan.org/nation_flags.html");

$list .= process_dir("wpclipart"); # , "http://en.wikipedia.org/wiki/Public_domain", "WPClipart", "http://www.wpclipart.com/");

$list .= process_dir("wiki_commons_bsd"); # , "http://creativecommons.org/licenses/BSD/", "Wikimedia Commons", "http://commons.wikimedia.org/wiki/Main_Page");

$list .= process_dir("wiki_commons_mit"); # , "http://creativecommons.org/licenses/MIT/", "Wikimedia Commons", "http://commons.wikimedia.org/wiki/Main_Page");

$list .= process_dir("wiki_commons_cc"); # , "Creative Commons license, see docs for details", "Wikimedia Commons", "http://commons.wikimedia.org/wiki/Main_Page");

$list .= process_dir("wiki_commons_gpl"); # , "GNU or LGPL, see docs for details", "Wikimedia Commons", "http://commons.wikimedia.org/wiki/Main_Page");

$list .= process_dir("wiki_commons_pd"); # , "http://en.wikipedia.org/wiki/Public_domain", "Wikimedia Commons", "http://commons.wikimedia.org/wiki/Main_Page");

$list .= process_dir("open_clip_art_library"); # , "http://en.wikipedia.org/wiki/Public_domain", "Open Clip Art Library", "http://openclipart.org");

$list .= process_dir("homemade"); # , "http://en.wikipedia.org/wiki/Public_domain", "Open Icon Library", "http://openiconlibrary.sourceforge.net/");


# $list .= process_dir("aem", "http://en.wikipedia.org/wiki/Public_domain", "AEM Pictorial Database", "http://www.aem.org/Technical/PictorialDatabase/Report.asp");

# $list .=process_dir("crystal", "http://creativecommons.org/licenses/LGPL/2.1/", "Crystal Project", "http://everaldo.com/crystal/");

# $list .= process_dir("crystal_clear", "http://creativecommons.org/licenses/LGPL/2.1/", "Crystal Clear Project", "http://commons.wikimedia.org/wiki/Crystal_Clear");

# $list .= process_dir("din", "http://en.wikipedia.org/wiki/Public_domain", "Technische Regeln fr Arbeitssttten (DIN Standard)", "http://www.baua.de/nn_56926/de/Themen-von-A-Z/Arbeitsstaetten/ASR/pdf/ASR-A1-3.pdf");
# # $list .= process_dir("din", "", "", "");

# $list .= process_dir("intrigue",  "http://creativecommons.org/licenses/GPL/2.0/", "Intrigue Icon Set", "http://simpleinnovation.net/index.php?page=22&source=2&id=2");

# $list .= process_dir("cc", "http://creativecommons.org/licenses/by/3.0/", "Creative Commons", "http://creativecommons.org/about/downloads");

# # $list .= process_dir("ghs", "http://en.wikipedia.org/wiki/Public_domain", "UNECE GHS of Classification and Labeling of Chemicals", "http://www.unece.org/trans/danger/publi/ghs/pictograms.html");

# $list .= process_dir("tango", "http://en.wikipedia.org/wiki/Public_domain", "Tango Icon Library", "http://tango.freedesktop.org/Tango_Icon_Library");

# $list .= process_dir("tango-harm", "http://creativecommons.org/licenses/by/3.0/", "Tango harm-on-icons", "http://gnome-look.org/content/show.php/Tango+mine?content=76316");

# $list .= process_dir("gnome", "http://creativecommons.org/licenses/GPL/2.0/", "GNOME Icon Theme", "http://art.gnome.org/");

# $list .= process_dir("gnome-colors", "http://creativecommons.org/licenses/GPL/2.0/", "GNOME-Colors", "http://code.google.com/p/gnome-colors/");

# $list .= process_dir("nuvola", "http://creativecommons.org/licenses/LGPL/2.1/", "Nuvola", "http://www.icon-king.com/projects/nuvola/");

# $list .= process_dir("nps", "http://en.wikipedia.org/wiki/Public_domain", "National Parks Service", "http://www.nps.gov/hfc/carto/map-symbols.htm");

# $list .= process_dir("oxygen", "Dual: http://creativecommons.org/licenses/by-sa/3.0/ or http://creativecommons.org/licenses/LGPL/2.1/", "Oxygen Icons", "http://www.oxygen-icons.org/");

# $list .= process_dir("famfamfam-flags", "http://en.wikipedia.org/wiki/Public_domain", "FAMFAMFAM Flag Icons", "http://www.famfamfam.com/lab/icons/flags/");

# $list .= process_dir("famfamfam-silk", "Dual: http://creativecommons.org/licenses/by/3.0/ or http://creativecommons.org/licenses/by/2.5/", "FAMFAMFAM Silk Icons", "http://www.famfamfam.com/lab/icons/silk/");

# $list .= process_dir("warthan", "http://creativecommons.org/licenses/GPL/2.0/", "Warthan's Stuff: Sovereign State Flags of the World", "http://warthan.org/nation_flags.html");

# $list .= process_dir("wpclipart", "http://en.wikipedia.org/wiki/Public_domain", "WPClipart", "http://www.wpclipart.com/");

# $list .= process_dir("wiki_commons_bsd", "http://creativecommons.org/licenses/BSD/", "Wikimedia Commons", "http://commons.wikimedia.org/wiki/Main_Page");

# $list .= process_dir("wiki_commons_mit", "http://creativecommons.org/licenses/MIT/", "Wikimedia Commons", "http://commons.wikimedia.org/wiki/Main_Page");

# $list .= process_dir("wiki_commons_cc", "Creative Commons license, see docs for details", "Wikimedia Commons", "http://commons.wikimedia.org/wiki/Main_Page");

# $list .= process_dir("wiki_commons_gpl", "GNU or LGPL, see docs for details", "Wikimedia Commons", "http://commons.wikimedia.org/wiki/Main_Page");

# $list .= process_dir("wiki_commons_pd", "http://en.wikipedia.org/wiki/Public_domain", "Wikimedia Commons", "http://commons.wikimedia.org/wiki/Main_Page");

# $list .= process_dir("open_clip_art_library", "http://en.wikipedia.org/wiki/Public_domain", "Open Clip Art Library", "http://openclipart.org");

# $list .= process_dir("homemade", "http://en.wikipedia.org/wiki/Public_domain", "Open Icon Library", "http://openiconlibrary.sourceforge.net/");

# sorts and seperates by two newlines
$list_sorted = join("\n\n", sort(split(/\n/, $list) ) );

print $list_sorted;

print "\n";
