#!/usr/bin/perl


# Converters don't support 256x256


$del_old = 1; #delete old xpm and icns dirs
$del_tmp_files = 1; #delete temp files

$dir_name = $ARGV[0];

use File::Find;
use Cwd;
# use SVG::Metadata;


sub process_file_xpm {
    my $file_name=$_;
	my $full_name = $File::Find::name;
	if ( $full_name !~ /^\// ) { #making it a full path
		$full_name = $current_dir . "/" . $full_name;
	}
	my $xpm_name = $full_name;
	$xpm_name =~ s/png$/xpm/;
	if ( !( -d $full_name) ) {
		if ( $file_name =~ /\.png$/i ) {
			print "x";
			$error_out = `convert $full_name -format xpm $xpm_name 2>&1 1>/dev/null`;
			if( $error_out ){
				print "   xpm Convertion failed!!\n";
				print "   $error_out\n";
				unlink($xpm_name);
			}
		} else {
			# print "Not a png: $file_name, doesn't belong here!\n";
		}
	}
}


sub clean_files {
    my $file_name=$_;
	my $full_name = $File::Find::name;
	
	if ( $full_name !~ /^\// ) { #making it a full path
		$full_name = $current_dir . "/" . $full_name;
	}
	if ( !( -d $full_name) ) {
		if ( not ($file_name =~ /\.xpm$/i) ) {
			# print "Removing temp file: $file_name.\n";
			unlink("$full_name");
		}
	}
}

# Check input
if( $dir_name eq '' ){
	print "Usage: script [DIRECTORY]\n";
	exit 1;
} elsif( !( -d $dir_name ) ){
	print "The input ARG is suposta be a directory\n$dir_name\n";
	exit 1;
} elsif( !( -d "$dir_name/png" ) ){
	print "No png dir found\n";
	exit 1;
}


#################################################################
# Main Code
#
#

###############################
# Makiung and copying dirs
$current_dir = cwd();
$xpm_dir = "$dir_name/xpm";
if( $del_old && -d $xpm_dir ){
	print "Deleting old xpm files\n";
	system("rm -rf $xpm_dir");
}
mkdir("$xpm_dir");

$set = 0;
opendir(DIR, "$dir_name/png");
while (defined($file = readdir(DIR))) {
	print "$file\n";
	if( not( $file eq '.' || $file eq '..') && $file =~ /8x8|16x16|22x22|24x24|32x32|48x48/ && -d "$dir_name/png/$file" ) {
		print "Found $file folder. Copying files to xpm dirs.\n";
		system("cp -R $dir_name/png/$file $xpm_dir");
		$set = 1;
	}
}
closedir(DIR);



###############################
# Conversion
if( $set ){

	print "Converting to xpm in $dir_name\n";
	find(\&process_file_xpm, $xpm_dir);
	if( $del_tmp_files ){
		print "Cleaning up temp files\n";
		find(\&clean_files, $xpm_dir);
	}
} else {
	print "Error: no (16x16|22x22|24x24|32x32|48x48) directories found\n";
	exit 1;
}
print "\n";
