#!/bin/bash

###################################################################
# This script takes the main devel package, and creates all other 
# packages
# 
#
# it copys from the mutly licensed folder 
# 
# open_icon_library-devel/
#  			to
# open_icon_library-devel-CC/
# open_icon_library-devel-GPL/
# open_icon_library-devel-PD/
# open_icon_library-CC/
# open_icon_library-GPL/
# open_icon_library-PD/
# open_icon_library-full/
# open_icon_library-standard/
# open_icon_library-256x256/
# open_icon_library-win/
# open_icon_library-mac/




# check if your where u are suposta be
if [ ! -d open_icon_library-devel ]; then
	echo "Error: open_icon_library-multi does not exist"
	echo "you need to run make_directories_stage_1.sh from same directory as the open_icon_library-devel directory"
	echo "example: ./tools/make_directories_stage_1.sh"
   	exit
fi



echo "This script will now create the following folders"
echo "	open_icon_library-devel-CC/"
echo "	open_icon_library-devel-GPL/"
echo "	open_icon_library-devel-PD/"
echo "	open_icon_library-CC/"
echo "	open_icon_library-GPL/"
echo "	open_icon_library-PD/"
echo "	open_icon_library-full/"
echo "	open_icon_library-standard/"
echo "	open_icon_library-256x256/"
echo "	open_icon_library-win/"
echo "	open_icon_library-mac/"
echo
echo "This script will take a LONG time..."
echo

#############################################################
# Cleaning up old folders

echo -n "Removing old folders"

rm -rf open_icon_library-devel-CC > /dev/null 2>&1 
echo -n "."
rm -rf open_icon_library-devel-GPL> /dev/null 2>&1 
echo -n "."
rm -rf open_icon_library-devel-PD > /dev/null 2>&1 
echo -n "."
rm -rf open_icon_library-CC > /dev/null 2>&1 
echo -n "."
rm -rf open_icon_library-GPL > /dev/null 2>&1 
echo -n "."
rm -rf open_icon_library-PD  > /dev/null 2>&1 
echo -n "."
rm -rf open_icon_library-full > /dev/null 2>&1 
echo -n "."
rm -rf open_icon_library-standard > /dev/null 2>&1 
echo -n "."
rm -rf open_icon_library-256x256 > /dev/null 2>&1 
echo -n "."
rm -rf open_icon_library-win > /dev/null 2>&1 
echo -n "."
rm -rf open_icon_library-mac > /dev/null 2>&1 
echo -n "."
rm -rf open_icon_library-web > /dev/null 2>&1
echo -n "."
echo

###############################################################
# Making others dir for each license

mkdir -p open_icon_library-devel-CC/icons
mkdir -p open_icon_library-devel-CC/icons_by_subject

mkdir -p open_icon_library-devel-GPL/icons
mkdir -p open_icon_library-devel-GPL/icons_by_subject

mkdir -p open_icon_library-devel-PD/icons
mkdir -p open_icon_library-devel-PD/icons_by_subject

# cp licenses
cp open_icon_library-devel/LICENSES open_icon_library-devel-CC
cp open_icon_library-devel/LICENSES_full_documentation_cc.txt open_icon_library-devel-CC
cp open_icon_library-devel/LICENSES open_icon_library-devel-PD
cp open_icon_library-devel/LICENSES_full_documentation_pd.txt open_icon_library-devel-PD
cp open_icon_library-devel/LICENSES open_icon_library-devel-GPL
cp open_icon_library-devel/LICENSES_full_documentation_gpl.txt open_icon_library-devel-GPL
cp open_icon_library-devel/README open_icon_library-devel-CC
cp open_icon_library-devel/README open_icon_library-devel-PD
cp open_icon_library-devel/README open_icon_library-devel-GPL
cp open_icon_library-devel/TODO open_icon_library-devel-CC
cp open_icon_library-devel/TODO open_icon_library-devel-PD
cp open_icon_library-devel/TODO open_icon_library-devel-GPL
cp -r open_icon_library-devel/docs open_icon_library-devel-CC
cp -r open_icon_library-devel/docs open_icon_library-devel-PD
cp -r open_icon_library-devel/docs open_icon_library-devel-GPL




###############################################################
###############################################################
##    Creative Commons (devel)
##

echo -n "Creating the developers Creative Commons folder."

#  add new cc sources here

cp -r open_icon_library-devel/icons/cc/ open_icon_library-devel-CC/icons
if [ -d open_icon_library-devel-CC/icons/png ]; then
	mkdir -p open_icon_library-devel-CC/icons/cc
	mv open_icon_library-devel-CC/icons/png open_icon_library-devel-CC/icons/cc/png
fi
if [ -d open_icon_library-devel-CC/icons/svg ]; then
	mkdir -p open_icon_library-devel-CC/icons/cc
	mv open_icon_library-devel-CC/icons/svg open_icon_library-devel-CC/icons/cc/svg
fi
echo -n .
cp -r open_icon_library-devel/icons/aem/ open_icon_library-devel-CC/icons
echo -n .
cp -r open_icon_library-devel/icons/din/ open_icon_library-devel-CC/icons
echo -n .
cp -r open_icon_library-devel/icons/echo/ open_icon_library-devel-CC/icons
echo -n .
cp -r open_icon_library-devel/icons/famfamfam-flags/ open_icon_library-devel-CC/icons
echo -n .
cp -r open_icon_library-devel/icons/famfamfam-silk/ open_icon_library-devel-CC/icons
echo -n .
cp -r open_icon_library-devel/icons/nps/ open_icon_library-devel-CC/icons
echo -n .
cp -r open_icon_library-devel/icons/open_clip_art_library/ open_icon_library-devel-CC/icons
echo -n .
cp -r open_icon_library-devel/icons/oxygen/ open_icon_library-devel-CC/icons
echo -n .
cp -r open_icon_library-devel/icons/homemade/ open_icon_library-devel-CC/icons
echo -n .
cp -r open_icon_library-devel/icons/tango/ open_icon_library-devel-CC/icons
echo -n .
cp -r open_icon_library-devel/icons/tango-harm/ open_icon_library-devel-CC/icons
echo -n .
cp -r open_icon_library-devel/icons/wpclipart/ open_icon_library-devel-CC/icons
echo -n .
cp -r open_icon_library-devel/icons/wiki_commons_pd/ open_icon_library-devel-CC/icons
echo -n .
cp -r open_icon_library-devel/icons/wiki_commons_cc/ open_icon_library-devel-CC/icons
echo -n .


cp -r open_icon_library-devel/icons_by_subject/cc/ open_icon_library-devel-CC/icons_by_subject
echo -n .
cp -r open_icon_library-devel/icons_by_subject/fineicons/ open_icon_library-devel-CC/icons_by_subject
echo -n .
cp -r open_icon_library-devel/icons_by_subject/homemade/ open_icon_library-devel-CC/icons_by_subject
echo -n .
cp -r open_icon_library-devel/icons_by_subject/wpclipart/ open_icon_library-devel-CC/icons_by_subject
echo -n .
cp -r open_icon_library-devel/icons_by_subject/wiki_commons_pd/ open_icon_library-devel-CC/icons_by_subject
echo -n .
cp -r open_icon_library-devel/icons_by_subject/wiki_commons_cc/ open_icon_library-devel-CC/icons_by_subject
echo -n .




#removes empty directories
find open_icon_library-devel-CC/icons/ -depth -type d -empty -exec rmdir {} \;
echo -n .
find open_icon_library-devel-CC/icons/ -depth -type d -empty -exec rmdir {} \;
echo -n .
find open_icon_library-devel-CC/icons/ -depth -type d -empty -exec rmdir {} \;
echo -n "."

echo









###############################################################
###############################################################
##   Public Domain  (devel)
##

echo -n "Creating the developers Public Domain folder"

# add PD sources here
cp -r open_icon_library-devel/icons/famfamfam-flags/ open_icon_library-devel-PD/icons
if [ -d open_icon_library-devel-PD/icons/png ]; then
	mkdir -p open_icon_library-devel-PD/icons/famfamfam-flags
	mv open_icon_library-devel-PD/icons/png open_icon_library-devel-PD/icons/famfamfam-flags/png
fi


echo -n "."
cp -r open_icon_library-devel/icons/aem/ open_icon_library-devel-PD/icons
echo -n .
cp -r open_icon_library-devel/icons/din/ open_icon_library-devel-PD/icons
echo -n .
cp -r open_icon_library-devel/icons/nps/ open_icon_library-devel-PD/icons
echo -n .
cp -r open_icon_library-devel/icons/open_clip_art_library/ open_icon_library-devel-PD/icons
echo -n .
cp -r open_icon_library-devel/icons/homemade/ open_icon_library-devel-PD/icons
echo -n .
cp -r open_icon_library-devel/icons/tango/ open_icon_library-devel-PD/icons
echo -n .
cp -r open_icon_library-devel/icons/wpclipart/ open_icon_library-devel-PD/icons
echo -n .
cp -r open_icon_library-devel/icons/wiki_commons_pd/ open_icon_library-devel-PD/icons
echo -n .



cp -r open_icon_library-devel/icons_by_subject/homemade/ open_icon_library-devel-PD/icons_by_subject
echo -n .
cp -r open_icon_library-devel/icons_by_subject/wpclipart/ open_icon_library-devel-PD/icons_by_subject
echo -n .
cp -r open_icon_library-devel/icons_by_subject/wiki_commons_pd/ open_icon_library-devel-PD/icons_by_subject
echo -n .


#removes empty directories
find open_icon_library-devel-PD/icons/ -depth -type d -empty -exec rmdir {} \;
echo -n "."
find open_icon_library-devel-PD/icons/ -depth -type d -empty -exec rmdir {} \;
echo -n "."
find open_icon_library-devel-PD/icons/ -depth -type d -empty -exec rmdir {} \;
echo -n "."

echo

###############################################################
###############################################################
##   GPL  (devel)
##

echo -n "Creating the developers GPL folder"
# add GPL sources here
echo -n "."
cp -r open_icon_library-devel/icons/aem/ open_icon_library-devel-GPL/icons
echo -n .
cp -r open_icon_library-devel/icons/din/ open_icon_library-devel-GPL/icons
echo -n .
cp -r open_icon_library-devel/icons/nps/ open_icon_library-devel-GPL/icons
echo -n .
cp -r open_icon_library-devel/icons/open_clip_art_library/ open_icon_library-devel-GPL/icons
echo -n .
cp -r open_icon_library-devel/icons/homemade/ open_icon_library-devel-GPL/icons
echo -n .
cp -r open_icon_library-devel/icons/crystal/ open_icon_library-devel-GPL/icons
echo -n "."
cp -r open_icon_library-devel/icons/crystal_clear/ open_icon_library-devel-GPL/icons
echo -n "."
cp -r open_icon_library-devel/icons/famfamfam-flags/ open_icon_library-devel-GPL/icons
echo -n "."
cp -r open_icon_library-devel/icons/gnome/ open_icon_library-devel-GPL/icons
echo -n "."
cp -r open_icon_library-devel/icons/gnome-colors/ open_icon_library-devel-GPL/icons
echo -n "."
cp -r open_icon_library-devel/icons/intrigue/ open_icon_library-devel-GPL/icons
echo -n "."
cp -r open_icon_library-devel/icons/nuovext2/ open_icon_library-devel-GPL/icons
echo -n "."
cp -r open_icon_library-devel/icons/nuvola/ open_icon_library-devel-GPL/icons
echo -n "."
cp -r open_icon_library-devel/icons/oxygen/ open_icon_library-devel-GPL/icons
echo -n "."
cp -r open_icon_library-devel/icons/tango/ open_icon_library-devel-GPL/icons
echo -n "."
cp -r open_icon_library-devel/icons/wpclipart/ open_icon_library-devel-PD/icons
echo -n "."
cp -r open_icon_library-devel/icons/wiki_commons_pd/ open_icon_library-devel-GPL/icons
echo -n "."
cp -r open_icon_library-devel/icons/wiki_commons_gpl/ open_icon_library-devel-GPL/icons
echo -n "."
cp -r open_icon_library-devel/icons/warthan/ open_icon_library-devel-GPL/icons
echo -n "."
cp -r open_icon_library-devel/icons/xfce4/ open_icon_library-devel-GPL/icons
echo -n "."


cp -r open_icon_library-devel/icons_by_subject/crystal_clear/ open_icon_library-devel-GPL/icons_by_subject
echo -n .
cp -r open_icon_library-devel/icons_by_subject/gimp/ open_icon_library-devel-GPL/icons_by_subject
echo -n .
cp -r open_icon_library-devel/icons_by_subject/gnome/ open_icon_library-devel-GPL/icons_by_subject
echo -n .
cp -r open_icon_library-devel/icons_by_subject/gnome-colors/ open_icon_library-devel-GPL/icons_by_subject
echo -n .

cp -r open_icon_library-devel/icons_by_subject/homemade/ open_icon_library-devel-GPL/icons_by_subject
echo -n .
cp -r open_icon_library-devel/icons_by_subject/inkscape/ open_icon_library-devel-GPL/icons_by_subject
echo -n .
cp -r open_icon_library-devel/icons_by_subject/openoffice/ open_icon_library-devel-GPL/icons_by_subject
echo -n .

cp -r open_icon_library-devel/icons_by_subject/wpclipart/ open_icon_library-devel-GPL/icons_by_subject
echo -n .
cp -r open_icon_library-devel/icons_by_subject/wiki_commons_pd/ open_icon_library-devel-GPL/icons_by_subject
echo -n .
cp -r open_icon_library-devel/icons_by_subject/wiki_commons_gpl/ open_icon_library-devel-GPL/icons_by_subject
echo -n .



#removes empty directories
find open_icon_library-devel-GPL/icons/ -depth -type d -empty -exec rmdir {} \;
echo -n "."
find open_icon_library-devel-GPL/icons/ -depth -type d -empty -exec rmdir {} \;
echo -n "."
find open_icon_library-devel-GPL/icons/ -depth -type d -empty -exec rmdir {} \;
echo -n "."
echo

























###########################################################################
###########################################################################
###########################################################################
###########################################################################
###########################################################################
###########################################################################
###########################################################################
###########################################################################



##################################################
# You shouldn't need to edit anything below here #
##################################################





##########################################################
##########################################################
# Creative Commons

echo -n "Creating Creative Commons directory"

############
# PNG files

mkdir -p open_icon_library-CC/icons/png/8x8/others
mkdir -p open_icon_library-CC/icons/png/16x16/others
mkdir -p open_icon_library-CC/icons/png/22x22/others
mkdir -p open_icon_library-CC/icons/png/24x24/others
mkdir -p open_icon_library-CC/icons/png/32x32/others
mkdir -p open_icon_library-CC/icons/png/48x48/others
mkdir -p open_icon_library-CC/icons/png/64x64/others
mkdir -p open_icon_library-CC/icons/png/128x128/others
mkdir -p open_icon_library-CC/icons/png/256x256/others
mkdir -p open_icon_library-CC/icons/png/odd/others

mkdir -p open_icon_library-CC/icons_by_subject

cp -rn open_icon_library-devel-CC/icons/*/png/8x8/* open_icon_library-CC/icons/png/8x8/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-CC/icons/*/png/16x16/* open_icon_library-CC/icons/png/16x16/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-CC/icons/*/png/22x22/* open_icon_library-CC/icons/png/22x22/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-CC/icons/*/png/24x24/* open_icon_library-CC/icons/png/24x24/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-CC/icons/*/png/32x32/* open_icon_library-CC/icons/png/32x32/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-CC/icons/*/png/48x48/* open_icon_library-CC/icons/png/48x48/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-CC/icons/*/png/64x64/* open_icon_library-CC/icons/png/64x64/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-CC/icons/*/png/128x128/* open_icon_library-CC/icons/png/128x128/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-CC/icons/*/png/256x256/* open_icon_library-CC/icons/png/256x256/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-CC/icons/*/png/odd/* open_icon_library-CC/icons/png/odd/ > /dev/null 2>&1
echo -n "."


mv -n open_icon_library-CC/icons/*/png/8x8/*.png open_icon_library-CC/icons/png/8x8/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-CC/icons/*/png/16x16/*.png open_icon_library-CC/icons/png/16x16/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-CC/icons/*/png/22x22/*.png open_icon_library-CC/icons/png/22x22/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-CC/icons/*/png/24x24/*.png open_icon_library-CC/icons/png/24x24/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-CC/icons/*/png/32x32/*.png open_icon_library-CC/icons/png/32x32/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-CC/icons/*/png/48x48/*.png open_icon_library-CC/icons/png/48x48/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-CC/icons/*/png/64x64/*.png open_icon_library-CC/icons/png/64x64/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-CC/icons/*/png/128x128/*.png open_icon_library-CC/icons/png/128x128/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-CC/icons/*/png/256x256/*.png open_icon_library-CC/icons/png/256x256/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-CC/icons/*/png/odd/*.png open_icon_library-CC/icons/png/odd/others > /dev/null 2>&1
echo -n "."



############
# XPM files

mkdir -p open_icon_library-CC/icons/xpm/8x8/others
mkdir -p open_icon_library-CC/icons/xpm/14x14/others
mkdir -p open_icon_library-CC/icons/xpm/16x16/others
mkdir -p open_icon_library-CC/icons/xpm/22x22/others
mkdir -p open_icon_library-CC/icons/xpm/24x24/others
mkdir -p open_icon_library-CC/icons/xpm/32x32/others
mkdir -p open_icon_library-CC/icons/xpm/48x48/others
mkdir -p open_icon_library-CC/icons/xpm/64x64/others
mkdir -p open_icon_library-CC/icons/xpm/128x128/others
mkdir -p open_icon_library-CC/icons/xpm/256x256/others
mkdir -p open_icon_library-CC/icons/xpm/odd/others

cp -rn open_icon_library-devel-CC/icons/*/xpm/8x8/* open_icon_library-CC/icons/xpm/8x8/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-CC/icons/*/xpm/14x14/* open_icon_library-CC/icons/xpm/14x14/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-CC/icons/*/xpm/16x16/* open_icon_library-CC/icons/xpm/16x16/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-CC/icons/*/xpm/22x22/* open_icon_library-CC/icons/xpm/22x22/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-CC/icons/*/xpm/24x24/* open_icon_library-CC/icons/xpm/24x24/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-CC/icons/*/xpm/32x32/* open_icon_library-CC/icons/xpm/32x32/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-CC/icons/*/xpm/48x48/* open_icon_library-CC/icons/xpm/48x48/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-CC/icons/*/xpm/64x64/* open_icon_library-CC/icons/xpm/64x64/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-CC/icons/*/xpm/128x128/* open_icon_library-CC/icons/xpm/128x128/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-CC/icons/*/xpm/256x256/* open_icon_library-CC/icons/xpm/256x256/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-CC/icons/*/xpm/odd/* open_icon_library-CC/icons/xpm/odd/ > /dev/null 2>&1
echo -n "."


mv -n open_icon_library-CC/icons/*/xpm/8x8/*.xpm open_icon_library-CC/icons/xpm/8x8/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-CC/icons/*/xpm/14x14/*.xpm open_icon_library-CC/icons/xpm/14x14/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-CC/icons/*/xpm/16x16/*.xpm open_icon_library-CC/icons/xpm/16x16/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-CC/icons/*/xpm/22x22/*.xpm open_icon_library-CC/icons/xpm/22x22/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-CC/icons/*/xpm/24x24/*.xpm open_icon_library-CC/icons/xpm/24x24/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-CC/icons/*/xpm/32x32/*.xpm open_icon_library-CC/icons/xpm/32x32/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-CC/icons/*/xpm/48x48/*.xpm open_icon_library-CC/icons/xpm/48x48/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-CC/icons/*/xpm/64x64/*.xpm open_icon_library-CC/icons/xpm/64x64/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-CC/icons/*/xpm/128x128/*.xpm open_icon_library-CC/icons/xpm/128x128/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-CC/icons/*/xpm/256x256/*.xpm open_icon_library-CC/icons/xpm/256x256/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-CC/icons/*/xpm/odd/*.xpm open_icon_library-CC/icons/xpm/odd/others > /dev/null 2>&1
echo -n "."

############
# ico files

mkdir -p open_icon_library-CC/icons/ico/8x8/others
mkdir -p open_icon_library-CC/icons/ico/16x16/others
mkdir -p open_icon_library-CC/icons/ico/22x22/others
mkdir -p open_icon_library-CC/icons/ico/24x24/others
mkdir -p open_icon_library-CC/icons/ico/32x32/others
mkdir -p open_icon_library-CC/icons/ico/48x48/others
mkdir -p open_icon_library-CC/icons/ico/64x64/others
mkdir -p open_icon_library-CC/icons/ico/128x128/others
mkdir -p open_icon_library-CC/icons/ico/256x256/others
mkdir -p open_icon_library-CC/icons/ico/odd/others

cp -rn open_icon_library-devel-CC/icons/*/ico/8x8/* open_icon_library-CC/icons/ico/8x8/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-CC/icons/*/ico/16x16/* open_icon_library-CC/icons/ico/16x16/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-CC/icons/*/ico/22x22/* open_icon_library-CC/icons/ico/22x22/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-CC/icons/*/ico/24x24/* open_icon_library-CC/icons/ico/24x24/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-CC/icons/*/ico/32x32/* open_icon_library-CC/icons/ico/32x32/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-CC/icons/*/ico/48x48/* open_icon_library-CC/icons/ico/48x48/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-CC/icons/*/ico/64x64/* open_icon_library-CC/icons/ico/64x64/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-CC/icons/*/ico/128x128/* open_icon_library-CC/icons/ico/128x128/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-CC/icons/*/ico/256x256/* open_icon_library-CC/icons/ico/256x256/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-CC/icons/*/ico/odd/* open_icon_library-CC/icons/ico/odd/ > /dev/null 2>&1
echo -n "."


mv -n open_icon_library-CC/icons/*/ico/8x8/*.ico open_icon_library-CC/icons/ico/8x8/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-CC/icons/*/ico/16x16/*.ico open_icon_library-CC/icons/ico/16x16/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-CC/icons/*/ico/22x22/*.ico open_icon_library-CC/icons/ico/22x22/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-CC/icons/*/ico/24x24/*.ico open_icon_library-CC/icons/ico/24x24/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-CC/icons/*/ico/32x32/*.ico open_icon_library-CC/icons/ico/32x32/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-CC/icons/*/ico/48x48/*.ico open_icon_library-CC/icons/ico/48x48/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-CC/icons/*/ico/64x64/*.ico open_icon_library-CC/icons/ico/64x64/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-CC/icons/*/ico/128x128/*.ico open_icon_library-CC/icons/ico/128x128/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-CC/icons/*/ico/256x256/*.ico open_icon_library-CC/icons/ico/256x256/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-CC/icons/*/ico/odd/*.ico open_icon_library-CC/icons/ico/odd/others > /dev/null 2>&1
echo -n "."


############
# icns files

mkdir -p open_icon_library-CC/icons/icns/8x8/others
mkdir -p open_icon_library-CC/icons/icns/16x16/others
mkdir -p open_icon_library-CC/icons/icns/22x22/others
mkdir -p open_icon_library-CC/icons/icns/24x24/others
mkdir -p open_icon_library-CC/icons/icns/32x32/others
mkdir -p open_icon_library-CC/icons/icns/48x48/others
mkdir -p open_icon_library-CC/icons/icns/64x64/others
mkdir -p open_icon_library-CC/icons/icns/128x128/others
mkdir -p open_icon_library-CC/icons/icns/256x256/others
mkdir -p open_icon_library-CC/icons/icns/odd/others

cp -rn open_icon_library-devel-CC/icons/*/icns/8x8/* open_icon_library-CC/icons/icns/8x8/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-CC/icons/*/icns/16x16/* open_icon_library-CC/icons/icns/16x16/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-CC/icons/*/icns/22x22/* open_icon_library-CC/icons/icns/22x22/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-CC/icons/*/icns/24x24/* open_icon_library-CC/icons/icns/24x24/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-CC/icons/*/icns/32x32/* open_icon_library-CC/icons/icns/32x32/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-CC/icons/*/icns/48x48/* open_icon_library-CC/icons/icns/48x48/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-CC/icons/*/icns/64x64/* open_icon_library-CC/icons/icns/64x64/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-CC/icons/*/icns/128x128/* open_icon_library-CC/icons/icns/128x128/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-CC/icons/*/icns/256x256/* open_icon_library-CC/icons/icns/256x256/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-CC/icons/*/icns/odd/* open_icon_library-CC/icons/icns/odd/ > /dev/null 2>&1
echo -n "."


mv -n open_icon_library-CC/icons/*/icns/8x8/*.icns open_icon_library-CC/icons/icns/8x8/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-CC/icons/*/icns/16x16/*.icns open_icon_library-CC/icons/icns/16x16/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-CC/icons/*/icns/22x22/*.icns open_icon_library-CC/icons/icns/22x22/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-CC/icons/*/icns/24x24/*.icns open_icon_library-CC/icons/icns/24x24/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-CC/icons/*/icns/32x32/*.icns open_icon_library-CC/icons/icns/32x32/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-CC/icons/*/icns/48x48/*.icns open_icon_library-CC/icons/icns/48x48/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-CC/icons/*/icns/64x64/*.icns open_icon_library-CC/icons/icns/64x64/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-CC/icons/*/icns/128x128/*.icns open_icon_library-CC/icons/icns/128x128/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-CC/icons/*/icns/256x256/*.icns open_icon_library-CC/icons/icns/256x256/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-CC/icons/*/icns/odd/*.icns open_icon_library-CC/icons/icns/odd/others > /dev/null 2>&1
echo -n "."



#############
# SVG files
mkdir -p open_icon_library-CC/icons/svg/others

cp -rn open_icon_library-devel-CC/icons/*/svg/* open_icon_library-CC/icons/svg/ > /dev/null 2>&1
echo -n "."

mv -n open_icon_library-CC/icons/*/svg/*.svg open_icon_library-CC/icons/svg/others > /dev/null 2>&1
echo -n "."

#cp license
cp -n open_icon_library-devel-CC/LICENSES open_icon_library-CC/ > /dev/null 2>&1
cp -n open_icon_library-devel-CC/LICENSES_full_documentation_cc.txt open_icon_library-CC/ > /dev/null 2>&1
cp -n open_icon_library-devel-CC/README open_icon_library-CC/ > /dev/null 2>&1
cp -rn open_icon_library-devel-CC/docs/ open_icon_library-CC/ > /dev/null 2>&1





# Icons by subject
mkdir -p open_icon_library-CC/icons_by_subject
cp -rn open_icon_library-devel-CC/icons_by_subject/*/* open_icon_library-CC/icons_by_subject > /dev/null 2>&1




#removes empty directories
find open_icon_library-CC/icons/ -depth -type d -empty -exec rmdir {} \;
find open_icon_library-CC/icons/ -depth -type d -empty -exec rmdir {} \;
find open_icon_library-CC/icons/ -depth -type d -empty -exec rmdir {} \;




echo


#################################################################
#################################################################
# GPL 

echo -n "Creating GPL directory"

############
# PNG files

mkdir -p open_icon_library-GPL/icons/png/8x8/others
mkdir -p open_icon_library-GPL/icons/png/16x16/others
mkdir -p open_icon_library-GPL/icons/png/22x22/others
mkdir -p open_icon_library-GPL/icons/png/24x24/others
mkdir -p open_icon_library-GPL/icons/png/32x32/others
mkdir -p open_icon_library-GPL/icons/png/48x48/others
mkdir -p open_icon_library-GPL/icons/png/64x64/others
mkdir -p open_icon_library-GPL/icons/png/128x128/others
mkdir -p open_icon_library-GPL/icons/png/256x256/others
mkdir -p open_icon_library-GPL/icons/png/odd/others

cp -rn open_icon_library-devel-GPL/icons/*/png/8x8/* open_icon_library-GPL/icons/png/8x8/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-GPL/icons/*/png/16x16/* open_icon_library-GPL/icons/png/16x16/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-GPL/icons/*/png/22x22/* open_icon_library-GPL/icons/png/22x22/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-GPL/icons/*/png/24x24/* open_icon_library-GPL/icons/png/24x24/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-GPL/icons/*/png/32x32/* open_icon_library-GPL/icons/png/32x32/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-GPL/icons/*/png/48x48/* open_icon_library-GPL/icons/png/48x48/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-GPL/icons/*/png/64x64/* open_icon_library-GPL/icons/png/64x64/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-GPL/icons/*/png/128x128/* open_icon_library-GPL/icons/png/128x128/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-GPL/icons/*/png/256x256/* open_icon_library-GPL/icons/png/256x256/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-GPL/icons/*/png/odd/* open_icon_library-GPL/icons/png/odd/ > /dev/null 2>&1
echo -n "."


mv -n open_icon_library-GPL/icons/*/png/8x8/*.png open_icon_library-GPL/icons/png/8x8/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-GPL/icons/*/png/16x16/*.png open_icon_library-GPL/icons/png/16x16/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-GPL/icons/*/png/22x22/*.png open_icon_library-GPL/icons/png/22x22/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-GPL/icons/*/png/24x24/*.png open_icon_library-GPL/icons/png/24x24/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-GPL/icons/*/png/32x32/*.png open_icon_library-GPL/icons/png/32x32/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-GPL/icons/*/png/48x48/*.png open_icon_library-GPL/icons/png/48x48/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-GPL/icons/*/png/64x64/*.png open_icon_library-GPL/icons/png/64x64/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-GPL/icons/*/png/128x128/*.png open_icon_library-GPL/icons/png/128x128/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-GPL/icons/*/png/256x256/*.png open_icon_library-GPL/icons/png/256x256/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-GPL/icons/*/png/odd/*.png open_icon_library-GPL/icons/png/odd/others > /dev/null 2>&1
echo -n "."



############
# XPM files

mkdir -p open_icon_library-GPL/icons/xpm/8x8/others
mkdir -p open_icon_library-GPL/icons/xpm/16x16/others
mkdir -p open_icon_library-GPL/icons/xpm/22x22/others
mkdir -p open_icon_library-GPL/icons/xpm/24x24/others
mkdir -p open_icon_library-GPL/icons/xpm/32x32/others
mkdir -p open_icon_library-GPL/icons/xpm/48x48/others
mkdir -p open_icon_library-GPL/icons/xpm/64x64/others
mkdir -p open_icon_library-GPL/icons/xpm/128x128/others
mkdir -p open_icon_library-GPL/icons/xpm/256x256/others
mkdir -p open_icon_library-GPL/icons/xpm/odd/others

cp -rn open_icon_library-devel-GPL/icons/*/xpm/8x8/* open_icon_library-GPL/icons/xpm/8x8/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-GPL/icons/*/xpm/16x16/* open_icon_library-GPL/icons/xpm/16x16/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-GPL/icons/*/xpm/22x22/* open_icon_library-GPL/icons/xpm/22x22/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-GPL/icons/*/xpm/24x24/* open_icon_library-GPL/icons/xpm/24x24/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-GPL/icons/*/xpm/32x32/* open_icon_library-GPL/icons/xpm/32x32/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-GPL/icons/*/xpm/48x48/* open_icon_library-GPL/icons/xpm/48x48/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-GPL/icons/*/xpm/64x64/* open_icon_library-GPL/icons/xpm/64x64/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-GPL/icons/*/xpm/128x128/* open_icon_library-GPL/icons/xpm/128x128/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-GPL/icons/*/xpm/256x256/* open_icon_library-GPL/icons/xpm/256x256/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-GPL/icons/*/xpm/odd/* open_icon_library-GPL/icons/xpm/odd/ > /dev/null 2>&1
echo -n "."


mv -n open_icon_library-GPL/icons/*/xpm/8x8/*.xpm open_icon_library-GPL/icons/xpm/8x8/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-GPL/icons/*/xpm/16x16/*.xpm open_icon_library-GPL/icons/xpm/16x16/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-GPL/icons/*/xpm/22x22/*.xpm open_icon_library-GPL/icons/xpm/22x22/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-GPL/icons/*/xpm/24x24/*.xpm open_icon_library-GPL/icons/xpm/24x24/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-GPL/icons/*/xpm/32x32/*.xpm open_icon_library-GPL/icons/xpm/32x32/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-GPL/icons/*/xpm/48x48/*.xpm open_icon_library-GPL/icons/xpm/48x48/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-GPL/icons/*/xpm/64x64/*.xpm open_icon_library-GPL/icons/xpm/64x64/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-GPL/icons/*/xpm/128x128/*.xpm open_icon_library-GPL/icons/xpm/128x128/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-GPL/icons/*/xpm/256x256/*.xpm open_icon_library-GPL/icons/xpm/256x256/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-GPL/icons/*/xpm/odd/*.xpm open_icon_library-GPL/icons/xpm/odd/others > /dev/null 2>&1
echo -n "."

############
# ico files

mkdir -p open_icon_library-GPL/icons/ico/8x8/others
mkdir -p open_icon_library-GPL/icons/ico/16x16/others
mkdir -p open_icon_library-GPL/icons/ico/22x22/others
mkdir -p open_icon_library-GPL/icons/ico/24x24/others
mkdir -p open_icon_library-GPL/icons/ico/32x32/others
mkdir -p open_icon_library-GPL/icons/ico/48x48/others
mkdir -p open_icon_library-GPL/icons/ico/64x64/others
mkdir -p open_icon_library-GPL/icons/ico/128x128/others
mkdir -p open_icon_library-GPL/icons/ico/256x256/others
mkdir -p open_icon_library-GPL/icons/ico/odd/others

cp -rn open_icon_library-devel-GPL/icons/*/ico/8x8/* open_icon_library-GPL/icons/ico/8x8/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-GPL/icons/*/ico/16x16/* open_icon_library-GPL/icons/ico/16x16/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-GPL/icons/*/ico/22x22/* open_icon_library-GPL/icons/ico/22x22/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-GPL/icons/*/ico/24x24/* open_icon_library-GPL/icons/ico/24x24/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-GPL/icons/*/ico/32x32/* open_icon_library-GPL/icons/ico/32x32/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-GPL/icons/*/ico/48x48/* open_icon_library-GPL/icons/ico/48x48/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-GPL/icons/*/ico/64x64/* open_icon_library-GPL/icons/ico/64x64/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-GPL/icons/*/ico/128x128/* open_icon_library-GPL/icons/ico/128x128/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-GPL/icons/*/ico/256x256/* open_icon_library-GPL/icons/ico/256x256/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-GPL/icons/*/ico/odd/* open_icon_library-GPL/icons/ico/odd/ > /dev/null 2>&1
echo -n "."


mv -n open_icon_library-GPL/icons/*/ico/8x8/*.ico open_icon_library-GPL/icons/ico/8x8/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-GPL/icons/*/ico/16x16/*.ico open_icon_library-GPL/icons/ico/16x16/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-GPL/icons/*/ico/22x22/*.ico open_icon_library-GPL/icons/ico/22x22/others > /dev/null 2>&1
echo -n "."
echo -n "."
mv -n open_icon_library-GPL/icons/*/ico/24x24/*.ico open_icon_library-GPL/icons/ico/24x24/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-GPL/icons/*/ico/32x32/*.ico open_icon_library-GPL/icons/ico/32x32/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-GPL/icons/*/ico/48x48/*.ico open_icon_library-GPL/icons/ico/48x48/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-GPL/icons/*/ico/64x64/*.ico open_icon_library-GPL/icons/ico/64x64/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-GPL/icons/*/ico/128x128/*.ico open_icon_library-GPL/icons/ico/128x128/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-GPL/icons/*/ico/256x256/*.ico open_icon_library-GPL/icons/ico/256x256/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-GPL/icons/*/ico/odd/*.ico open_icon_library-GPL/icons/ico/odd/others > /dev/null 2>&1
echo -n "."

############
# icns files

mkdir -p open_icon_library-GPL/icons/icns/8x8/others
mkdir -p open_icon_library-GPL/icons/icns/16x16/others
mkdir -p open_icon_library-GPL/icons/icns/22x22/others
mkdir -p open_icon_library-GPL/icons/icns/24x24/others
mkdir -p open_icon_library-GPL/icons/icns/32x32/others
mkdir -p open_icon_library-GPL/icons/icns/48x48/others
mkdir -p open_icon_library-GPL/icons/icns/64x64/others
mkdir -p open_icon_library-GPL/icons/icns/128x128/others
mkdir -p open_icon_library-GPL/icons/icns/256x256/others
mkdir -p open_icon_library-GPL/icons/icns/odd/others

cp -rn open_icon_library-devel-GPL/icons/*/icns/8x8/* open_icon_library-GPL/icons/icns/8x8/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-GPL/icons/*/icns/16x16/* open_icon_library-GPL/icons/icns/16x16/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-GPL/icons/*/icns/22x22/* open_icon_library-GPL/icons/icns/22x22/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-GPL/icons/*/icns/24x24/* open_icon_library-GPL/icons/icns/24x24/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-GPL/icons/*/icns/32x32/* open_icon_library-GPL/icons/icns/32x32/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-GPL/icons/*/icns/48x48/* open_icon_library-GPL/icons/icns/48x48/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-GPL/icons/*/icns/64x64/* open_icon_library-GPL/icons/icns/64x64/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-GPL/icons/*/icns/128x128/* open_icon_library-GPL/icons/icns/128x128/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-GPL/icons/*/icns/256x256/* open_icon_library-GPL/icons/icns/256x256/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-GPL/icons/*/icns/odd/* open_icon_library-GPL/icons/icns/odd/ > /dev/null 2>&1
echo -n "."


mv -n open_icon_library-GPL/icons/*/icns/8x8/*.icns open_icon_library-GPL/icons/icns/8x8/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-GPL/icons/*/icns/16x16/*.icns open_icon_library-GPL/icons/icns/16x16/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-GPL/icons/*/icns/22x22/*.icns open_icon_library-GPL/icons/icns/22x22/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-GPL/icons/*/icns/24x24/*.icns open_icon_library-GPL/icons/icns/24x24/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-GPL/icons/*/icns/32x32/*.icns open_icon_library-GPL/icons/icns/32x32/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-GPL/icons/*/icns/48x48/*.icns open_icon_library-GPL/icons/icns/48x48/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-GPL/icons/*/icns/64x64/*.icns open_icon_library-GPL/icons/icns/64x64/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-GPL/icons/*/icns/128x128/*.icns open_icon_library-GPL/icons/icns/128x128/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-GPL/icons/*/icns/256x256/*.icns open_icon_library-GPL/icons/icns/256x256/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-GPL/icons/*/icns/odd/*.icns open_icon_library-GPL/icons/icns/odd/others > /dev/null 2>&1
echo -n "."


#############
# SVG files
mkdir -p open_icon_library-GPL/icons/svg/others

cp -rn open_icon_library-devel-GPL/icons/*/svg/* open_icon_library-GPL/icons/svg/ > /dev/null 2>&1
echo -n "."

mv -n open_icon_library-GPL/icons/*/svg/*.svg open_icon_library-GPL/icons/svg/others > /dev/null 2>&1
echo -n "."


#cp license
cp -n open_icon_library-devel-GPL/LICENSES open_icon_library-GPL/ > /dev/null 2>&1
cp -n open_icon_library-devel-GPL/LICENSES_full_documentation_gpl.txt open_icon_library-GPL/ > /dev/null 2>&1
cp -n open_icon_library-devel-GPL/README open_icon_library-GPL/ > /dev/null 2>&1
cp -rn open_icon_library-devel-GPL/docs/ open_icon_library-GPL/ > /dev/null 2>&1





# Icons by subject
mkdir -p open_icon_library-GPL/icons_by_subject
cp -rn open_icon_library-devel-GPL/icons_by_subject/*/* open_icon_library-GPL/icons_by_subject > /dev/null 2>&1




#removes empty directories
find open_icon_library-GPL/icons/ -depth -type d -empty -exec rmdir {} \;
find open_icon_library-GPL/icons/ -depth -type d -empty -exec rmdir {} \;
find open_icon_library-GPL/icons/ -depth -type d -empty -exec rmdir {} \;



echo







##########################################################
##########################################################
# Public Domain

echo -n "Creating Public Domain directory"

############
# PNG files

mkdir -p open_icon_library-PD/icons/png/8x8/others
mkdir -p open_icon_library-PD/icons/png/16x16/others
mkdir -p open_icon_library-PD/icons/png/22x22/others
mkdir -p open_icon_library-PD/icons/png/24x24/others
mkdir -p open_icon_library-PD/icons/png/32x32/others
mkdir -p open_icon_library-PD/icons/png/48x48/others
mkdir -p open_icon_library-PD/icons/png/64x64/others
mkdir -p open_icon_library-PD/icons/png/128x128/others
mkdir -p open_icon_library-PD/icons/png/256x256/others
mkdir -p open_icon_library-PD/icons/png/odd/others


cp -rn open_icon_library-devel-PD/icons/*/png/8x8/* open_icon_library-PD/icons/png/8x8/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-PD/icons/*/png/16x16/* open_icon_library-PD/icons/png/16x16/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-PD/icons/*/png/22x22/* open_icon_library-PD/icons/png/22x22/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-PD/icons/*/png/24x24/* open_icon_library-PD/icons/png/24x24/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-PD/icons/*/png/32x32/* open_icon_library-PD/icons/png/32x32/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-PD/icons/*/png/48x48/* open_icon_library-PD/icons/png/48x48/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-PD/icons/*/png/64x64/* open_icon_library-PD/icons/png/64x64/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-PD/icons/*/png/128x128/* open_icon_library-PD/icons/png/128x128/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-PD/icons/*/png/256x256/* open_icon_library-PD/icons/png/256x256/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-PD/icons/*/png/odd/* open_icon_library-PD/icons/png/odd/ > /dev/null 2>&1
echo -n "."


mv -n open_icon_library-PD/icons/*/png/8x8/*.png open_icon_library-PD/icons/png/8x8/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-PD/icons/*/png/16x16/*.png open_icon_library-PD/icons/png/16x16/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-PD/icons/*/png/22x22/*.png open_icon_library-PD/icons/png/22x22/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-PD/icons/*/png/24x24/*.png open_icon_library-PD/icons/png/24x24/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-PD/icons/*/png/32x32/*.png open_icon_library-PD/icons/png/32x32/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-PD/icons/*/png/48x48/*.png open_icon_library-PD/icons/png/48x48/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-PD/icons/*/png/64x64/*.png open_icon_library-PD/icons/png/64x64/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-PD/icons/*/png/128x128/*.png open_icon_library-PD/icons/png/128x128/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-PD/icons/*/png/256x256/*.png open_icon_library-PD/icons/png/256x256/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-PD/icons/*/png/odd/*.png open_icon_library-PD/icons/png/odd/others > /dev/null 2>&1
echo -n "."



############
# XPM files

mkdir -p open_icon_library-PD/icons/xpm/8x8/others
mkdir -p open_icon_library-PD/icons/xpm/16x16/others
mkdir -p open_icon_library-PD/icons/xpm/22x22/others
mkdir -p open_icon_library-PD/icons/xpm/24x24/others
mkdir -p open_icon_library-PD/icons/xpm/32x32/others
mkdir -p open_icon_library-PD/icons/xpm/48x48/others
mkdir -p open_icon_library-PD/icons/xpm/64x64/others
mkdir -p open_icon_library-PD/icons/xpm/128x128/others
mkdir -p open_icon_library-PD/icons/xpm/256x256/others
mkdir -p open_icon_library-PD/icons/xpm/odd/others

cp -rn open_icon_library-devel-PD/icons/*/xpm/8x8/* open_icon_library-PD/icons/xpm/8x8/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-PD/icons/*/xpm/16x16/* open_icon_library-PD/icons/xpm/16x16/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-PD/icons/*/xpm/22x22/* open_icon_library-PD/icons/xpm/22x22/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-PD/icons/*/xpm/24x24/* open_icon_library-PD/icons/xpm/24x24/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-PD/icons/*/xpm/32x32/* open_icon_library-PD/icons/xpm/32x32/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-PD/icons/*/xpm/48x48/* open_icon_library-PD/icons/xpm/48x48/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-PD/icons/*/xpm/64x64/* open_icon_library-PD/icons/xpm/64x64/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-PD/icons/*/xpm/128x128/* open_icon_library-PD/icons/xpm/128x128/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-PD/icons/*/xpm/256x256/* open_icon_library-PD/icons/xpm/256x256/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-PD/icons/*/xpm/odd/* open_icon_library-PD/icons/xpm/odd/ > /dev/null 2>&1
echo -n "."


mv -n open_icon_library-PD/icons/*/xpm/8x8/*.xpm open_icon_library-PD/icons/xpm/8x8/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-PD/icons/*/xpm/16x16/*.xpm open_icon_library-PD/icons/xpm/16x16/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-PD/icons/*/xpm/22x22/*.xpm open_icon_library-PD/icons/xpm/22x22/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-PD/icons/*/xpm/24x24/*.xpm open_icon_library-PD/icons/xpm/24x24/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-PD/icons/*/xpm/32x32/*.xpm open_icon_library-PD/icons/xpm/32x32/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-PD/icons/*/xpm/48x48/*.xpm open_icon_library-PD/icons/xpm/48x48/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-PD/icons/*/xpm/64x64/*.xpm open_icon_library-PD/icons/xpm/64x64/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-PD/icons/*/xpm/128x128/*.xpm open_icon_library-PD/icons/xpm/128x128/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-PD/icons/*/xpm/256x256/*.xpm open_icon_library-PD/icons/xpm/256x256/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-PD/icons/*/xpm/odd/*.xpm open_icon_library-PD/icons/xpm/odd/others > /dev/null 2>&1
echo -n "."

############
# ico files

mkdir -p open_icon_library-PD/icons/ico/8x8/others
mkdir -p open_icon_library-PD/icons/ico/16x16/others
mkdir -p open_icon_library-PD/icons/ico/22x22/others
mkdir -p open_icon_library-PD/icons/ico/24x24/others
mkdir -p open_icon_library-PD/icons/ico/32x32/others
mkdir -p open_icon_library-PD/icons/ico/48x48/others
mkdir -p open_icon_library-PD/icons/ico/64x64/others
mkdir -p open_icon_library-PD/icons/ico/128x128/others
mkdir -p open_icon_library-PD/icons/ico/256x256/others
mkdir -p open_icon_library-PD/icons/ico/odd/others

cp -rn open_icon_library-devel-PD/icons/*/ico/8x8/* open_icon_library-PD/icons/ico/8x8/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-PD/icons/*/ico/16x16/* open_icon_library-PD/icons/ico/16x16/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-PD/icons/*/ico/22x22/* open_icon_library-PD/icons/ico/22x22/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-PD/icons/*/ico/24x24/* open_icon_library-PD/icons/ico/24x24/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-PD/icons/*/ico/32x32/* open_icon_library-PD/icons/ico/32x32/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-PD/icons/*/ico/48x48/* open_icon_library-PD/icons/ico/48x48/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-PD/icons/*/ico/64x64/* open_icon_library-PD/icons/ico/64x64/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-PD/icons/*/ico/128x128/* open_icon_library-PD/icons/ico/128x128/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-PD/icons/*/ico/256x256/* open_icon_library-PD/icons/ico/256x256/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-PD/icons/*/ico/odd/* open_icon_library-PD/icons/ico/odd/ > /dev/null 2>&1
echo -n "."


mv -n open_icon_library-PD/icons/*/ico/8x8/*.ico open_icon_library-PD/icons/ico/8x8/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-PD/icons/*/ico/16x16/*.ico open_icon_library-PD/icons/ico/16x16/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-PD/icons/*/ico/22x22/*.ico open_icon_library-PD/icons/ico/22x22/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-PD/icons/*/ico/24x24/*.ico open_icon_library-PD/icons/ico/24x24/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-PD/icons/*/ico/32x32/*.ico open_icon_library-PD/icons/ico/32x32/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-PD/icons/*/ico/48x48/*.ico open_icon_library-PD/icons/ico/48x48/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-PD/icons/*/ico/64x64/*.ico open_icon_library-PD/icons/ico/64x64/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-PD/icons/*/ico/128x128/*.ico open_icon_library-PD/icons/ico/128x128/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-PD/icons/*/ico/256x256/*.ico open_icon_library-PD/icons/ico/256x256/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-PD/icons/*/ico/odd/*.ico open_icon_library-PD/icons/ico/odd/others > /dev/null 2>&1
echo -n "."

############
# icns files

mkdir -p open_icon_library-PD/icons/icns/8x8/others
mkdir -p open_icon_library-PD/icons/icns/16x16/others
mkdir -p open_icon_library-PD/icons/icns/22x22/others
mkdir -p open_icon_library-PD/icons/icns/24x24/others
mkdir -p open_icon_library-PD/icons/icns/32x32/others
mkdir -p open_icon_library-PD/icons/icns/48x48/others
mkdir -p open_icon_library-PD/icons/icns/64x64/others
mkdir -p open_icon_library-PD/icons/icns/128x128/others
mkdir -p open_icon_library-PD/icons/icns/256x256/others
mkdir -p open_icon_library-PD/icons/icns/odd/others

cp -rn open_icon_library-devel-PD/icons/*/icns/8x8/* open_icon_library-PD/icons/icns/8x8/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-PD/icons/*/icns/16x16/* open_icon_library-PD/icons/icns/16x16/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-PD/icons/*/icns/22x22/* open_icon_library-PD/icons/icns/22x22/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-PD/icons/*/icns/24x24/* open_icon_library-PD/icons/icns/24x24/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-PD/icons/*/icns/32x32/* open_icon_library-PD/icons/icns/32x32/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-PD/icons/*/icns/48x48/* open_icon_library-PD/icons/icns/48x48/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-PD/icons/*/icns/64x64/* open_icon_library-PD/icons/icns/64x64/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-PD/icons/*/icns/128x128/* open_icon_library-PD/icons/icns/128x128/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-PD/icons/*/icns/256x256/* open_icon_library-PD/icons/icns/256x256/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel-PD/icons/*/icns/odd/* open_icon_library-PD/icons/icns/odd/ > /dev/null 2>&1
echo -n "."


mv -n open_icon_library-PD/icons/*/icns/8x8/*.icns open_icon_library-PD/icons/icns/8x8/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-PD/icons/*/icns/16x16/*.icns open_icon_library-PD/icons/icns/16x16/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-PD/icons/*/icns/22x22/*.icns open_icon_library-PD/icons/icns/22x22/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-PD/icons/*/icns/24x24/*.icns open_icon_library-PD/icons/icns/24x24/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-PD/icons/*/icns/32x32/*.icns open_icon_library-PD/icons/icns/32x32/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-PD/icons/*/icns/48x48/*.icns open_icon_library-PD/icons/icns/48x48/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-PD/icons/*/icns/64x64/*.icns open_icon_library-PD/icons/icns/64x64/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-PD/icons/*/icns/128x128/*.icns open_icon_library-PD/icons/icns/128x128/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-PD/icons/*/icns/256x256/*.icns open_icon_library-PD/icons/icns/256x256/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-PD/icons/*/icns/odd/*.icns open_icon_library-PD/icons/icns/odd/others > /dev/null 2>&1
echo -n "."


#############
# SVG files
mkdir -p open_icon_library-PD/icons/svg/others

cp -rn open_icon_library-devel-PD/icons/*/svg/* open_icon_library-PD/icons/svg/ > /dev/null 2>&1
echo -n "."

mv -n open_icon_library-PD/icons/*/svg/*.svg open_icon_library-PD/icons/svg/others > /dev/null 2>&1
echo -n "."



#cp license
cp -n open_icon_library-devel-PD/LICENSES open_icon_library-PD/ > /dev/null 2>&1
cp -n open_icon_library-devel-PD/LICENSES_full_documentation_pd.txt open_icon_library-PD/ > /dev/null 2>&1
cp -n open_icon_library-devel-PD/README open_icon_library-PD/ > /dev/null 2>&1
cp -rn open_icon_library-devel-PD/docs/ open_icon_library-PD/ > /dev/null 2>&1





# Icons by subject
mkdir -p open_icon_library-PD/icons_by_subject
cp -rn open_icon_library-devel-PD/icons_by_subject/*/* open_icon_library-PD/icons_by_subject > /dev/null 2>&1




#removes empty directories
find open_icon_library-PD/icons/ -depth -type d -empty -exec rmdir {} \;
find open_icon_library-PD/icons/ -depth -type d -empty -exec rmdir {} \;
find open_icon_library-PD/icons/ -depth -type d -empty -exec rmdir {} \;




echo









#################################################################
#################################################################
# Full

echo -n "Creating the Full directory"

############
# PNG files

mkdir -p open_icon_library-full/icons/png/8x8/others
mkdir -p open_icon_library-full/icons/png/16x16/others
mkdir -p open_icon_library-full/icons/png/22x22/others
mkdir -p open_icon_library-full/icons/png/24x24/others
mkdir -p open_icon_library-full/icons/png/32x32/others
mkdir -p open_icon_library-full/icons/png/48x48/others
mkdir -p open_icon_library-full/icons/png/64x64/others
mkdir -p open_icon_library-full/icons/png/128x128/others
mkdir -p open_icon_library-full/icons/png/256x256/others
mkdir -p open_icon_library-full/icons/png/odd/others


cp -rn open_icon_library-devel/icons/*/png/8x8/* open_icon_library-full/icons/png/8x8/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/png/16x16/* open_icon_library-full/icons/png/16x16/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/png/22x22/* open_icon_library-full/icons/png/22x22/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/png/24x24/* open_icon_library-full/icons/png/24x24/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/png/32x32/* open_icon_library-full/icons/png/32x32/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/png/48x48/* open_icon_library-full/icons/png/48x48/ > /dev/null 2>&1
cp -rn open_icon_library-devel/icons/*/png/64x64/* open_icon_library-full/icons/png/64x64/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/png/128x128/* open_icon_library-full/icons/png/128x128/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/png/256x256/* open_icon_library-full/icons/png/256x256/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/png/odd/* open_icon_library-full/icons/png/odd/ > /dev/null 2>&1
echo -n "."


mv -n open_icon_library-full/icons/png/8x8/*.png open_icon_library-full/icons/png/8x8/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-full/icons/png/16x16/*.png open_icon_library-full/icons/png/16x16/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-full/icons/png/22x22/*.png open_icon_library-full/icons/png/22x22/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-full/icons/png/24x24/*.png open_icon_library-full/icons/png/24x24/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-full/icons/png/32x32/*.png open_icon_library-full/icons/png/32x32/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-full/icons/png/48x48/*.png open_icon_library-full/icons/png/48x48/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-full/icons/png/64x64/*.png open_icon_library-full/icons/png/64x64/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-full/icons/png/128x128/*.png open_icon_library-full/icons/png/128x128/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-full/icons/png/256x256/*.png open_icon_library-full/icons/png/256x256/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-full/icons/png/odd/*.png open_icon_library-full/icons/png/odd/others > /dev/null 2>&1
echo -n "."



############
# XPM files

mkdir -p open_icon_library-full/icons/xpm/8x8/others
mkdir -p open_icon_library-full/icons/xpm/16x16/others
mkdir -p open_icon_library-full/icons/xpm/22x22/others
mkdir -p open_icon_library-full/icons/xpm/24x24/others
mkdir -p open_icon_library-full/icons/xpm/32x32/others
mkdir -p open_icon_library-full/icons/xpm/48x48/others
mkdir -p open_icon_library-full/icons/xpm/64x64/others
mkdir -p open_icon_library-full/icons/xpm/128x128/others
mkdir -p open_icon_library-full/icons/xpm/256x256/others
mkdir -p open_icon_library-full/icons/xpm/odd/others

cp -rn open_icon_library-devel/icons/*/xpm/8x8/* open_icon_library-full/icons/xpm/8x8/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/xpm/16x16/* open_icon_library-full/icons/xpm/16x16/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/xpm/22x22/* open_icon_library-full/icons/xpm/22x22/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/xpm/24x24/* open_icon_library-full/icons/xpm/24x24/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/xpm/32x32/* open_icon_library-full/icons/xpm/32x32/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/xpm/48x48/* open_icon_library-full/icons/xpm/48x48/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/xpm/64x64/* open_icon_library-full/icons/xpm/64x64/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/xpm/128x128/* open_icon_library-full/icons/xpm/128x128/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/xpm/256x256/* open_icon_library-full/icons/xpm/256x256/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/xpm/odd/* open_icon_library-full/icons/xpm/odd/ > /dev/null 2>&1
echo -n "."


mv -n open_icon_library-full/icons/xpm/8x8/*.xpm open_icon_library-full/icons/xpm/8x8/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-full/icons/xpm/16x16/*.xpm open_icon_library-full/icons/xpm/16x16/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-full/icons/xpm/22x22/*.xpm open_icon_library-full/icons/xpm/22x22/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-full/icons/xpm/24x24/*.xpm open_icon_library-full/icons/xpm/24x24/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-full/icons/xpm/32x32/*.xpm open_icon_library-full/icons/xpm/32x32/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-full/icons/xpm/48x48/*.xpm open_icon_library-full/icons/xpm/48x48/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-full/icons/xpm/64x64/*.xpm open_icon_library-full/icons/xpm/64x64/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-full/icons/xpm/128x128/*.xpm open_icon_library-full/icons/xpm/128x128/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-full/icons/xpm/256x256/*.xpm open_icon_library-full/icons/xpm/256x256/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-full/icons/xpm/odd/*.xpm open_icon_library-full/icons/xpm/odd/others > /dev/null 2>&1
echo -n "."
############
# ico files

mkdir -p open_icon_library-full/icons/ico/8x8/others
mkdir -p open_icon_library-full/icons/ico/16x16/others
mkdir -p open_icon_library-full/icons/ico/22x22/others
mkdir -p open_icon_library-full/icons/ico/24x24/others
mkdir -p open_icon_library-full/icons/ico/32x32/others
mkdir -p open_icon_library-full/icons/ico/48x48/others
mkdir -p open_icon_library-full/icons/ico/64x64/others
mkdir -p open_icon_library-full/icons/ico/128x128/others
mkdir -p open_icon_library-full/icons/ico/256x256/others
mkdir -p open_icon_library-full/icons/ico/odd/others

cp -rn open_icon_library-devel/icons/*/ico/8x8/* open_icon_library-full/icons/ico/8x8/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/ico/16x16/* open_icon_library-full/icons/ico/16x16/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/ico/22x22/* open_icon_library-full/icons/ico/22x22/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/ico/24x24/* open_icon_library-full/icons/ico/24x24/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/ico/32x32/* open_icon_library-full/icons/ico/32x32/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/ico/48x48/* open_icon_library-full/icons/ico/48x48/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/ico/64x64/* open_icon_library-full/icons/ico/64x64/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/ico/128x128/* open_icon_library-full/icons/ico/128x128/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/ico/256x256/* open_icon_library-full/icons/ico/256x256/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/ico/odd/* open_icon_library-full/icons/ico/odd/ > /dev/null 2>&1
echo -n "."


mv -n open_icon_library-full/icons/*/ico/8x8/*.ico open_icon_library-full/icons/ico/8x8/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-full/icons/*/ico/16x16/*.ico open_icon_library-full/icons/ico/16x16/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-full/icons/*/ico/22x22/*.ico open_icon_library-full/icons/ico/22x22/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-full/icons/*/ico/24x24/*.ico open_icon_library-full/icons/ico/24x24/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-full/icons/*/ico/32x32/*.ico open_icon_library-full/icons/ico/32x32/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-full/icons/*/ico/48x48/*.ico open_icon_library-full/icons/ico/48x48/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-full/icons/*/ico/64x64/*.ico open_icon_library-full/icons/ico/64x64/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-full/icons/*/ico/128x128/*.ico open_icon_library-full/icons/ico/128x128/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-full/icons/*/ico/256x256/*.ico open_icon_library-full/icons/ico/256x256/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-full/icons/*/ico/odd/*.ico open_icon_library-full/icons/ico/odd/others > /dev/null 2>&1
echo -n "."

############
# icns files

mkdir -p open_icon_library-full/icons/icns/8x8/others
mkdir -p open_icon_library-full/icons/icns/16x16/others
mkdir -p open_icon_library-full/icons/icns/22x22/others
mkdir -p open_icon_library-full/icons/icns/24x24/others
mkdir -p open_icon_library-full/icons/icns/32x32/others
mkdir -p open_icon_library-full/icons/icns/48x48/others
mkdir -p open_icon_library-full/icons/icns/64x64/others
mkdir -p open_icon_library-full/icons/icns/128x128/others
mkdir -p open_icon_library-full/icons/icns/256x256/others
mkdir -p open_icon_library-full/icons/icns/odd/others

cp -rn open_icon_library-devel/icons/*/icns/8x8/* open_icon_library-full/icons/icns/8x8/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/icns/16x16/* open_icon_library-full/icons/icns/16x16/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/icns/22x22/* open_icon_library-full/icons/icns/22x22/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/icns/24x24/* open_icon_library-full/icons/icns/24x24/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/icns/32x32/* open_icon_library-full/icons/icns/32x32/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/icns/48x48/* open_icon_library-full/icons/icns/48x48/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/icns/64x64/* open_icon_library-full/icons/icns/64x64/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/icns/128x128/* open_icon_library-full/icons/icns/128x128/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/icns/256x256/* open_icon_library-full/icons/icns/256x256/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/icns/odd/* open_icon_library-full/icons/icns/odd/ > /dev/null 2>&1
echo -n "."


mv -n open_icon_library-full/icons/*/icns/8x8/*.icns open_icon_library-full/icons/icns/8x8/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-full/icons/*/icns/16x16/*.icns open_icon_library-full/icons/icns/16x16/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-full/icons/*/icns/22x22/*.icns open_icon_library-full/icons/icns/22x22/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-full/icons/*/icns/24x24/*.icns open_icon_library-full/icons/icns/24x24/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-full/icons/*/icns/32x32/*.icns open_icon_library-full/icons/icns/32x32/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-full/icons/*/icns/48x48/*.icns open_icon_library-full/icons/icns/48x48/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-full/icons/*/icns/64x64/*.icns open_icon_library-full/icons/icns/64x64/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-full/icons/*/icns/128x128/*.icns open_icon_library-full/icons/icns/128x128/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-full/icons/*/icns/256x256/*.icns open_icon_library-full/icons/icns/256x256/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-full/icons/*/icns/odd/*.icns open_icon_library-full/icons/icns/odd/others > /dev/null 2>&1
echo -n "."





#############
# SVG files
mkdir -p open_icon_library-full/icons/svg/others

cp -rn open_icon_library-devel/icons/*/svg/* open_icon_library-full/icons/svg/ > /dev/null 2>&1
echo -n "."

mv -n open_icon_library-full/icons/svg/*.svg open_icon_library-full/icons/svg/others > /dev/null 2>&1
echo -n "."





#####################
# Icons by Subject
mkdir -p open_icon_library-full/icons_by_subject/office
mkdir -p open_icon_library-full/icons_by_subject/graphics
mkdir -p open_icon_library-full/icons_by_subject/webpages
mkdir -p open_icon_library-full/icons_by_subject/audio_video
mkdir -p open_icon_library-full/icons_by_subject/programming


cp -rn open_icon_library-devel/icons_by_subject/*/office/* open_icon_library-full/icons_by_subject/office > /dev/null 2>&1
cp -rn open_icon_library-devel/icons_by_subject/*/graphics/* open_icon_library-full/icons_by_subject/graphics > /dev/null 2>&1
cp -rn open_icon_library-devel/icons_by_subject/*/web/* open_icon_library-full/icons_by_subject/webpages > /dev/null 2>&1
cp -rn open_icon_library-devel/icons_by_subject/*/audio_video/* open_icon_library-full/icons_by_subject/audio_video > /dev/null 2>&1
cp -rn open_icon_library-devel/icons_by_subject/*/programming/* open_icon_library-full/icons_by_subject/programming > /dev/null 2>&1





#cp licenses
cp -n open_icon_library-devel/LICENSES open_icon_library-full/
cp -n open_icon_library-devel/LICENSES open_icon_library-full/
cp -n open_icon_library-devel/LICENSES_full_documentation.txt open_icon_library-full/
cp -n open_icon_library-devel/README open_icon_library-full/
cp -rn open_icon_library-devel/docs/ open_icon_library-full/

#removes empty directories
find open_icon_library-full/icons/ -depth -type d -empty -exec rmdir {} \;
find open_icon_library-full/icons/ -depth -type d -empty -exec rmdir {} \;
find open_icon_library-full/icons/ -depth -type d -empty -exec rmdir {} \;




echo















#################################################################
#################################################################
#  Standard

echo -n "Creating the Standard directory"




############
# PNG files

mkdir -p open_icon_library-standard/icons/png/8x8/others
mkdir -p open_icon_library-standard/icons/png/16x16/others
mkdir -p open_icon_library-standard/icons/png/22x22/others
mkdir -p open_icon_library-standard/icons/png/24x24/others
mkdir -p open_icon_library-standard/icons/png/32x32/others
mkdir -p open_icon_library-standard/icons/png/48x48/others
mkdir -p open_icon_library-standard/icons/png/64x64/others
mkdir -p open_icon_library-standard/icons/png/128x128/others
# mkdir -p open_icon_library-standard/icons/png/256x256/others
# mkdir -p open_icon_library-standard/icons/png/odd/others


cp -rn open_icon_library-devel/icons/*/png/8x8/* open_icon_library-standard/icons/png/8x8/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/png/16x16/* open_icon_library-standard/icons/png/16x16/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/png/22x22/* open_icon_library-standard/icons/png/22x22/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/png/24x24/* open_icon_library-standard/icons/png/24x24/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/png/32x32/* open_icon_library-standard/icons/png/32x32/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/png/48x48/* open_icon_library-standard/icons/png/48x48/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/png/64x64/* open_icon_library-standard/icons/png/64x64/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/png/128x128/* open_icon_library-standard/icons/png/128x128/ > /dev/null 2>&1
echo -n "."
# cp -rn open_icon_library-devel/icons/*/png/256x256/* open_icon_library-standard/icons/png/256x256/ > /dev/null 2>&1
# cp -rn open_icon_library-devel/icons/*/png/odd/* open_icon_library-standard/icons/png/odd/ > /dev/null 2>&1


mv -n open_icon_library-standard/icons/png/8x8/*.png open_icon_library-standard/icons/png/8x8/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-standard/icons/png/16x16/*.png open_icon_library-standard/icons/png/16x16/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-standard/icons/png/22x22/*.png open_icon_library-standard/icons/png/22x22/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-standard/icons/png/24x24/*.png open_icon_library-standard/icons/png/24x24/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-standard/icons/png/32x32/*.png open_icon_library-standard/icons/png/32x32/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-standard/icons/png/48x48/*.png open_icon_library-standard/icons/png/48x48/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-standard/icons/png/64x64/*.png open_icon_library-standard/icons/png/64x64/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-standard/icons/png/128x128/*.png open_icon_library-standard/icons/png/128x128/others > /dev/null 2>&1
echo -n "."
# mv -n open_icon_library-standard/icons/png/256x256/*.png open_icon_library-standard/icons/png/256x256/others > /dev/null 2>&1
# mv -n open_icon_library-standard/icons/png/odd/*.png open_icon_library-standard/icons/png/odd/others > /dev/null 2>&1




############
# ico files

mkdir -p open_icon_library-standard/icons/ico/8x8/others
mkdir -p open_icon_library-standard/icons/ico/16x16/others
mkdir -p open_icon_library-standard/icons/ico/22x22/others
mkdir -p open_icon_library-standard/icons/ico/24x24/others
mkdir -p open_icon_library-standard/icons/ico/32x32/others
mkdir -p open_icon_library-standard/icons/ico/48x48/others
mkdir -p open_icon_library-standard/icons/ico/64x64/others
mkdir -p open_icon_library-standard/icons/ico/128x128/others
mkdir -p open_icon_library-standard/icons/ico/256x256/others
mkdir -p open_icon_library-standard/icons/ico/odd/others

cp -rn open_icon_library-devel/icons/*/ico/8x8/* open_icon_library-standard/icons/ico/8x8/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/ico/16x16/* open_icon_library-standard/icons/ico/16x16/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/ico/22x22/* open_icon_library-standard/icons/ico/22x22/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/ico/24x24/* open_icon_library-standard/icons/ico/24x24/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/ico/32x32/* open_icon_library-standard/icons/ico/32x32/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/ico/48x48/* open_icon_library-standard/icons/ico/48x48/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/ico/64x64/* open_icon_library-standard/icons/ico/64x64/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/ico/128x128/* open_icon_library-standard/icons/ico/128x128/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/ico/256x256/* open_icon_library-standard/icons/ico/256x256/ > /dev/null 2>&1
echo -n "."
cp -rn open_icon_library-devel/icons/*/ico/odd/* open_icon_library-standard/icons/ico/odd/ > /dev/null 2>&1
echo -n "."


mv -n open_icon_library-standard/icons/*/ico/8x8/*.ico open_icon_library-standard/icons/ico/8x8/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-standard/icons/*/ico/16x16/*.ico open_icon_library-standard/icons/ico/16x16/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-standard/icons/*/ico/22x22/*.ico open_icon_library-standard/icons/ico/22x22/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-standard/icons/*/ico/24x24/*.ico open_icon_library-standard/icons/ico/24x24/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-standard/icons/*/ico/32x32/*.ico open_icon_library-standard/icons/ico/32x32/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-standard/icons/*/ico/48x48/*.ico open_icon_library-standard/icons/ico/48x48/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-standard/icons/*/ico/64x64/*.ico open_icon_library-standard/icons/ico/64x64/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-standard/icons/*/ico/128x128/*.ico open_icon_library-standard/icons/ico/128x128/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-standard/icons/*/ico/256x256/*.ico open_icon_library-standard/icons/ico/256x256/others > /dev/null 2>&1
echo -n "."
mv -n open_icon_library-standard/icons/*/ico/odd/*.ico open_icon_library-standard/icons/ico/odd/others > /dev/null 2>&1
echo -n "."


#############
# SVG files
# mkdir -p open_icon_library-standard/icons/svg/others

# cp -rn open_icon_library-devel/icons/*/svg/* open_icon_library-standard/icons/svg/ > /dev/null 2>&1
# echo -n "."

# mv -n open_icon_library-standard/icons/svg/*.svg open_icon_library-standard/icons/svg/others > /dev/null 2>&1
# echo -n "."






#################
# Extras


#cp licenses
cp -n open_icon_library-devel/LICENSES open_icon_library-standard/
cp -n open_icon_library-devel/LICENSES_full_documentation_std.txt open_icon_library-standard/
cp -n open_icon_library-devel/README open_icon_library-standard/
cp -n open_icon_library-devel/TODO open_icon_library-standard/
cp -rn open_icon_library-devel/docs/ open_icon_library-standard/

#Remove some less usefull directories to liten the load
# rm -rf open_icon_library-standard/icons/svg/symbols
# rm -rf open_icon_library-standard/icons/svg/web
rm -rf open_icon_library-standard/icons/png/*/symbols
rm -rf open_icon_library-standard/icons/png/*/web

#removes empty directories
find open_icon_library-standard/icons/ -depth -type d -empty -exec rmdir {} \;
find open_icon_library-standard/icons/ -depth -type d -empty -exec rmdir {} \;
find open_icon_library-standard/icons/ -depth -type d -empty -exec rmdir {} \;
# rm -f `find open_icon_library-standard/icons/ -name *.license`


echo


#################################################################
#################################################################
#  256x256

echo -n "Creating the 256x256 directory"


############
# PNG files


mkdir -p open_icon_library-256x256/icons/png/256x256/others

cp -rn open_icon_library-devel/icons/*/png/256x256/* open_icon_library-256x256/icons/png/256x256/ > /dev/null 2>&1
echo -n "."

mv -n open_icon_library-256x256/icons/png/256x256/*.png open_icon_library-256x256/icons/png/256x256/others > /dev/null 2>&1
echo -n "."


#cp licenses
cp -n open_icon_library-devel/LICENSES open_icon_library-256x256/
cp -n open_icon_library-devel/LICENSES_full_documentation.txt open_icon_library-256x256/
cp -n open_icon_library-devel/README open_icon_library-256x256/
cp -rn open_icon_library-devel/docs/ open_icon_library-256x256/

#removes empty directories
find open_icon_library-256x256/icons/ -depth -type d -empty -exec rmdir {} \;
echo -n "."
find open_icon_library-256x256/icons/ -depth -type d -empty -exec rmdir {} \;
echo -n "."
find open_icon_library-256x256/icons/ -depth -type d -empty -exec rmdir {} \;
echo -n "."


echo






###############################################################
###############################################################
##  Windows and Mac icons

mkdir -p open_icon_library-win/icons
mkdir -p open_icon_library-mac/icons 


# cp licenses
cp open_icon_library-devel/LICENSES open_icon_library-win/LICENSES.txt
cp open_icon_library-devel/LICENSES_full_documentation_win.txt open_icon_library-win/
cp open_icon_library-devel/README open_icon_library-win/README.txt
cp open_icon_library-devel/TODO open_icon_library-win/TODO.txt
cp -r open_icon_library-devel/docs open_icon_library-win
cp open_icon_library-devel/LICENSES open_icon_library-mac/LICENSES.txt
cp open_icon_library-devel/LICENSES_full_documentation_mac.txt open_icon_library-mac/
cp open_icon_library-devel/README open_icon_library-mac/README.txt
cp open_icon_library-devel/TODO open_icon_library-mac/TODO.txt
cp -r open_icon_library-devel/docs open_icon_library-mac


# copy ico files
echo "Creating Windows folder"
cp -rn open_icon_library-devel/icons/*/ico/* open_icon_library-win/icons
echo "Creating Mac folder"
cp -rn open_icon_library-devel/icons/*/icns/* open_icon_library-mac/icons

# echo "Stage Win/Mac finnished"
# echo "Created Directories:"
# echo "open_icon_library-mac/"
# echo "open_icon_library-win/"
# echo ""



echo "###################################################################"

echo -n "Cleaning, this will also take a long time."
#these lists get very long so have to break it up
# rm -f `find open_icon_library-standard/icons/svg/ -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-256x256/icons/svg/ -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-CC/icons/svg/ -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-GPL/icons/svg/ -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-PD/icons/svg/ -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-devel-CC/icons/svg/ -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-devel-GPL/icons/svg/ -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-devel-PD/icons/svg/ -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-full/icons/svg/ -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-mac/icons/svg/ -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-win/icons/svg/ -name *.license 2> /dev/null`
# echo -n "."
# echo -n .

# rm -f `find open_icon_library-standard/icons/png/1* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-256x256/icons/png/1* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-CC/icons/png/1* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-GPL/icons/png/1* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-PD/icons/png/1* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-devel-CC/icons/png/1* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-devel-GPL/icons/png/1* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-devel-PD/icons/png/1* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-full/icons/png/1* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-mac/icons/png/1* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-win/icons/png/1* -name *.license 2> /dev/null`
# echo -n "."
# echo -n .

# rm -f `find open_icon_library-standard/icons/png/2* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-256x256/icons/png/2* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-CC/icons/png/2* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-GPL/icons/png/2* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-PD/icons/png/2* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-devel-CC/icons/png/2* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-devel-GPL/icons/png/2* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-devel-PD/icons/png/2* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-full/icons/png/2* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-mac/icons/png/2* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-win/icons/png/2* -name *.license 2> /dev/null`
# echo -n "."
# echo -n .

# rm -f `find open_icon_library-standard/icons/png/3* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-256x256/icons/png/3* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-CC/icons/png/3* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-GPL/icons/png/3* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-PD/icons/png/3* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-devel-CC/icons/png/3* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-devel-GPL/icons/png/3* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-devel-PD/icons/png/3* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-full/icons/png/3* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-mac/icons/png/3* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-win/icons/png/3* -name *.license 2> /dev/null`
# echo -n "."
# echo -n .

# rm -f `find open_icon_library-standard/icons/png/[456]* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-256x256/icons/png/[456]* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-CC/icons/png/[456]* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-GPL/icons/png/[456]* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-PD/icons/png/[456]* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-devel-CC/icons/png/[456]* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-devel-GPL/icons/png/[456]* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-devel-PD/icons/png/[456]* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-full/icons/png/[456]* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-mac/icons/png/[456]* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-win/icons/png/[456]* -name *.license 2> /dev/null`
# echo -n "."
# echo -n .

# rm -f `find open_icon_library-standard/icons/png/[789]* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-256x256/icons/png/[789]* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-CC/icons/png/[789]* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-GPL/icons/png/[789]* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-PD/icons/png/[789]* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-devel-CC/icons/png/[789]* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-devel-GPL/icons/png/[789]* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-devel-PD/icons/png/[789]* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-full/icons/png/[789]* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-mac/icons/png/[789]* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-win/icons/png/[789]* -name *.license 2> /dev/null`
# echo -n .

# rm -f `find open_icon_library-devel-CC/icons/[a-e]* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-devel-GPL/icons/[a-e]* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-devel-PD/icons/[a-e]* -name *.license 2> /dev/null`
# echo -n .

# rm -f `find open_icon_library-devel-CC/icons/[f-m]* -name *.license 2> /dev/null` 
# echo -n "."
# rm -f `find open_icon_library-devel-GPL/icons/[f-m]* -name *.license 2> /dev/null` 
# echo -n "."
# rm -f `find open_icon_library-devel-PD/icons/[f-m]* -name *.license 2> /dev/null` 
# echo -n .

# rm -f `find open_icon_library-devel-CC/icons/[n-q]* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-devel-GPL/icons/[n-q]* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-devel-PD/icons/[n-q]* -name *.license 2> /dev/null` 
# echo -n .

# rm -f `find open_icon_library-devel-CC/icons/[r-t]* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-devel-GPL/icons/[r-t]* -name *.license 2> /dev/null`
# echo -n "."
# rm -f `find open_icon_library-devel-PD/icons/[r-t]* -name *.license 2> /dev/null` 
# echo -n .

# rm -f `find open_icon_library-devel-CC/icons/[u-z]* -name *.license 2> /dev/null` 
# echo -n "."
# rm -f `find open_icon_library-devel-GPL/icons/[u-z]* -name *.license 2> /dev/null` 
# echo -n "."
# rm -f `find open_icon_library-devel-PD/icons/[u-z]* -name *.license 2> /dev/null` 
# echo -n .

# rm -f `find open_icon_library-standard/icons/ -name *.license`
# echo -n "."
# rm -f `find open_icon_library-256x256/icons/ -name *.license`
# echo -n "."
# rm -f `find open_icon_library-CC/icons/ -name *.license`
# echo -n "."
# rm -f `find open_icon_library-GPL/icons/ -name *.license`
# echo -n "."
# rm -f `find open_icon_library-PD/icons/ -name *.license`
# echo -n "."
# rm -f `find open_icon_library-devel-CC/icons/ -name *.license`
# echo -n "."
# rm -f `find open_icon_library-devel-GPL/icons/ -name *.license`
# echo -n "."
# rm -f `find open_icon_library-devel-PD/icons/ -name *.license`
# echo -n "."
# rm -f `find open_icon_library-full/icons/ -name *.license`
# echo -n "."
# rm -f `find open_icon_library-mac/icons/ -name *.license`
# echo -n "."
# rm -f `find open_icon_library-win/icons/ -name *.license`
# echo -n .

rm -fr `find open_icon_library-standard/icons/ -name .svn`
echo -n "."
rm -fr `find open_icon_library-256x256/icons/ -name .svn`
echo -n "."
rm -fr `find open_icon_library-CC/icons/ -name .svn`
echo -n "."
rm -fr `find open_icon_library-GPL/icons/ -name .svn`
echo -n "."
rm -fr `find open_icon_library-PD/icons/ -name .svn`
echo -n "."
rm -fr `find open_icon_library-devel-CC/icons/ -name .svn`
echo -n "."
rm -fr `find open_icon_library-devel-GPL/icons/ -name .svn`
echo -n "."
rm -fr `find open_icon_library-devel-PD/icons/ -name .svn`
echo -n "."
rm -fr `find open_icon_library-full/icons/ -name .svn`
echo -n "."
rm -fr `find open_icon_library-mac/icons/ -name .svn`
echo -n "."
rm -fr `find open_icon_library-win/icons/ -name .svn`
echo -n "."
echo -n .

echo

echo
echo "###################################################################"
echo "All done"
echo "###################################################################"
ls |grep open_icon_library
echo "###################################################################"



# echo "Its OK if you get some errors, like No such file or directory"
# echo "this just means they never existed"
# echo "The scripts should have the following directories, with the icons organized appropriotly: open_icon_library-CC, open_icon_library-CC, open_icon_library-GPL, open_icon_library-GPL, open_icon_library-PD, open_icon_library-PD, open_icon_library-multi, open_icon_library-full"
echo "Add or make modifications in the open_icon_library-devel folder."
echo "The scripts should copy them properly.  If you add a new source,"
echo "you have to add it to this script make_directories_stage_1.sh."
echo "Let others know if you do..."
echo
