#!/usr/bin/perl

###############################
# Creates tars for release
#
#
# Usage: generate_tars.pl [VERSION]
#

$ver_in=$ARGV[0];

if( $ver_in eq '' ){
	print "Usage: generate_tars.pl [VERSION]\n";
	exit 1;
}

if( not -d "open_icon_library-devel" ){
	print "Error: open_icon_library-devel Does not exist\n";
	print "You are in the wrong directory\n";
	exit 1;
}
if( not -d "open_icon_library-devel-CC" ){
	print "Error: open_icon_library-devel-CC Does not exist\n";
	print "You need to run make_directories.sh\n";
	exit 1;
}
if( not -d "open_icon_library-devel-GPL" ){
	print "Error: open_icon_library-devel-GP Does not exist\n";
	print "You need to run make_directories.sh\n";
	exit 1;
}
if( not -d "open_icon_library-devel-PD" ){
	print "Error: open_icon_library-devel-PD Does not exist\n";
	print "You need to run make_directories.sh\n";
	exit 1;
}

if( not -d "open_icon_library-win" ){
	print "Error: open_icon_library-win Does not exist\n";
	print "You need to run make_directories.sh\n";
	exit 1;
}
if( not -d "open_icon_library-mac" ){
	print "Error: open_icon_library-mac Does not exist\n";
	print "You need to run make_directories.sh\n";
	exit 1;
}
if( not -d "open_icon_library-full" ){
	print "Error: open_icon_library-full Does not exist\n";
	print "You need to run make_directories.sh\n";
	exit 1;
}
if( not -d "open_icon_library-standard" ){
	print "Error: open_icon_library-full Does not exist\n";
	print "You need to run make_directories.sh\n";
	exit 1;
}
if( -e "*.tar.bz2" || -e "*.zip" ){
	print "Moving old releases...\n";
	system("mv *.tar.bz2 release/");
	system("mv *.zip release/");
	# system("mv open_icon_library-devel/*.tar.bz2 release/");
}

print "Creating open_icon_library-devel-$ver_in.tar.bz2..\n";
system("tar cfj open_icon_library-devel-$ver_in.tar.bz2 open_icon_library-devel");
sleep 1;

# print "Creating open_icon_library-devel-CC-$ver_in.tar.bz2..\n";
# system("tar cfj open_icon_library-devel-CC-$ver_in.tar.bz2 open_icon_library-devel-CC");

print "Creating open_icon_library-CC-$ver_in.tar.bz2..\n";
system("tar cfj open_icon_library-CC-$ver_in.tar.bz2 open_icon_library-CC");
sleep 1;


# print "Creating open_icon_library-devel-GPL-$ver_in.tar.bz2..\n";
# system("tar cfj open_icon_library-devel-GPL-$ver_in.tar.bz2 open_icon_library-devel-GPL");

print "Creating open_icon_library-GPL-$ver_in.tar.bz2..\n";
system("tar cfj open_icon_library-GPL-$ver_in.tar.bz2 open_icon_library-GPL");
sleep 1;


# print "Creating open_icon_library-devel-PD-$ver_in.tar.bz2..\n";
# system("tar cfj open_icon_library-devel-PD-$ver_in.tar.bz2 open_icon_library-devel-PD");

print "Creating open_icon_library-PD-$ver_in.tar.bz2..\n";
system("tar cfj open_icon_library-PD-$ver_in.tar.bz2 open_icon_library-PD");
sleep 1;


print "Creating open_icon_library-full-$ver_in.tar.bz2..\n";
system("tar cfj open_icon_library-full-$ver_in.tar.bz2 open_icon_library-full");
sleep 1;

print "Creating open_icon_library-full-$ver_in.zip..\n";
system("zip -r -9 open_icon_library-full-$ver_in.zip open_icon_library-full/");
sleep 1;



print "Creating open_icon_library-standard-$ver_in.tar.bz2..\n";
system("tar cfj open_icon_library-standard-$ver_in.tar.bz2 open_icon_library-standard");
sleep 1;

print "Creating open_icon_library-standard-$ver_in.zip..\n";
system("zip -r -9 open_icon_library-standard-$ver_in.zip open_icon_library-standard/");
sleep 1;



print "Creating open_icon_library-256x256-$ver_in.tar.bz2..\n";
system("tar cfj open_icon_library-256x256-$ver_in.tar.bz2 open_icon_library-256x256");
sleep 1;


print "Creating open_icon_library-win-$ver_in.zip..\n";
system("zip -r -9 open_icon_library-win-$ver_in.zip open_icon_library-win");
sleep 1;



print "Creating open_icon_library-mac-$ver_in.zip..\n";
system("zip -r -9 open_icon_library-mac-$ver_in.zip open_icon_library-mac");
sleep 1;


print "Creating icon_tools-$ver_in.tar.bz2..\n";
system("cd open_icon_library-devel; tar cfj icon_tools-$ver_in.tar.bz2 icons_tools/; mv icon_tools-$ver_in.tar.bz2 ..");
sleep 1;



