#!/usr/bin/perl

#############################################3
# this script recusivly converts all svg files to png file of
# size set by $output_size var
#
#	Usage: svg2png_dir.pl open_icon_library-devel/icons/tango
# how it works
# *Enter root directory to a source
# *It copies the svg dir to png/48x48
# *Converts svg->png
# *deletes all temp svgs
# 
# Example
#	svg2png_dir.pl open_icon_library-devel/icons/tango
#	cp open_icon_library-devel/icons/tango/svg
#		to 
#	open_icon_library-devel/icons/tango/png/48x48
#	convert svg->png
#	delete svgs in open_icon_library-devel/icons/tango/png/48x48
#
#

$del_old = 1; #delete old ico and icns dirs
$del_tmp_files = 1; #delete temp files
$output_size="48x48";
$command="convert";
$command_param="-resize $output_size! -format png";
$dir_name = $ARGV[0];

use File::Find;
use Cwd;


sub process_file {
    my $file_name=$_;
	my $full_name = $File::Find::name;
	
	if ( $full_name !~ /^\// ) { #making it a full path
		$full_name = $current_dir . "/" . $full_name;
	}

	my $png_name = $full_name;
	$png_name =~ s/svg$/png/;

	if ( !( -d $full_name) ) {
		if ( $file_name =~ /\.svg$/i ) {
			print "Converting: $file_name.\n";
			# print "$command $full_name $command_param $png_name \n";
			if( `$command $full_name $command_param $png_name 2>&1 1>/dev/null` ){
				print "   Convertion failed!!\n";
				unlink($png_name);
			}
		} else {
			print "Not a svg: $file_name, doesn't belong here!\n";
		}
	}
}

sub clean_files {
    my $file_name=$_;
	my $full_name = $File::Find::name;
	
	if ( $full_name !~ /^\// ) { #making it a full path
		$full_name = $current_dir . "/" . $full_name;
	}
	if ( !( -d $full_name) ) {
		if ( not ($file_name =~ /\.png$/i) ) {
			# print "Removing temp file: $file_name.\n";
			unlink("$full_name");
		}
	}
}

# Check input
if( $dir_name eq '' ){
	print "Usage: display_metadata.pl [DIRECTORY]\n";
	exit 1;
} elsif( !( -d $dir_name ) ){
	print "The input ARG is suposta be a directory\n$dir_name\n";
	exit 1;
} elsif( !( -d "$dir_name/svg" ) ){
	print "No svg dir found\n";
	exit 1;
}


#################################################################
# Main Code
#
#

###############################
# Making and copying dirs
$current_dir = cwd();

if( !( -d "$dir_name/png" ) ){
	mkdir("$dir_name/png");
}
if( -d "$dir_name/png/$output_size" ){
	print "Directory: $dir_name/png/$output_size, already exists\n";
	print "   Moving png/$output_size to png/$output_size.old\n";
	system("mv $dir_name/png/$output_size $dir_name/png/$output_size.old");
	mkdir("$dir_name/png/$output_size");
}else{
	mkdir("$dir_name/png/$output_size");
}

print "Copying temp files...\n";
system("cp -R $dir_name/svg/* $dir_name/png/$output_size");

###############################
# Conversion
print "Converting to $output_size pngs in $dir_name\n";
find(\&process_file, "$dir_name/png/$output_size");
find(\&clean_files, "$dir_name/png/$output_size");
print "\n";
