#!/usr/bin/perl

###########################
# Validates images files
# 	supports svg, xpm, png, ico, icns
#
# Description:
#  Recusivly checks all svg, xpm, png, ico, icns images in a dir.
#  svg, xpm, png, ico uses Image magick's identify command.  This 
#  only check to see if images work, it does not find errors. icns 
#  uses libicns's icns2png command, its uncertain what this does.
#
# Requirements:
#  Image Magick: http://www.imagemagick.org/
#  libicns: http://icns.sourceforge.net/
#
# Usage: ./validate_image.pl [DIRECTORY]
#


###########################
# Configure
#

$icns_cmd = '/home/zymos/docs/icons/tools/icns2png -l ';
$ico_cmd = 'identify ';



###########################
# Code
$dir_name = $ARGV[0];

use File::Find;
use Cwd;
# use SVG::Metadata;


sub process_file {
    my $file_name=$_;
	my $full_name = $File::Find::name;
	
	if ( $full_name !~ /^\// ) {
		$full_name = $current_dir . "/" . $full_name;
	}

	if ( !( -d $full_name) ) {
		# $full_name =~ s/\/\.\//\//;
		$new_name = $full_name; 
		# $new_name =~ tr/[A-Z]/[a-z]/;
		# $new_name2 = $file_name;

		$new_name =~ s/\/sr/\//;
		# $new_name =~ s/\/ln/\//;

		# $new_name =~ s/-[1-9]\.xpm$/.xpm/;
		# $new_name =~ s/-[1-9]\.ico$/.ico/;
		# $new_name =~ s/-[1-9]\.icns$/.icns/;
		# $new_name =~ s/-[1-9]\.svg$/.svg/;

		# $new_name =~ s/network_/network-/;

		# if( $full_name =~ /svgz$/ ) { # svgz -> svg.gz -> svg 
			# $new_name =~ s/svgz$/svg.gz/;
			# rename($full_name,$new_name);	
			# system("gzip -d $new_name");
		# }

		# if( $full_name =~ /_T.png$/ ){
			# system("cp $full_name /tmp/pics");
		# }
		if ($new_name ne $full_name){
			print ".";
			# system("ls -l \"$full_name\"");
			system("mv $full_name   $new_name");
			# rename($full_name,$new_name);
			# print "mv $full_name   $new_name\n";
		}
		# system("chmod -x $full_name");
	}
}



# Check input
if( $dir_name eq '' ){
	print "Usage: rename.....pl [DIRECTORY]\n";
	exit;
} elsif( !( -d $dir_name ) ){
	print "The input ARG is suposta be a directory\n$dir_name\n";
	exit
}


#################################################################
# Main Code
#
#
$current_dir=getcwd;
find(\&process_file, $dir_name);

print "\n";
